-- +-------------------------------------------------+
--  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
-- +-------------------------------------------------+
-- $Id: minimum.sql,v 1.1 2007-04-16 05:01:52 touraine37 Exp $

-- 
-- Contedo da tabela `classements`
-- 

INSERT INTO classements (id_classement, type_classement, nom_classement) VALUES (1, '', '_NON CLASSE_');

-- 
-- Contedo da tabela `origine_notice`
-- 

INSERT INTO origine_notice (orinot_id, orinot_nom, orinot_pays, orinot_diffusion) VALUES (1, 'Catalogao interna', 'PT', 1);
INSERT INTO origine_notice (orinot_id, orinot_nom, orinot_pays, orinot_diffusion) VALUES (2, 'BnF', 'PT', 1);

-- 
-- Contedo da tabela `parametres`
-- 

INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'bdd_version', 'v4.23', 'ltima verso da base de dados, no mudar por uma verso anterior excepto se um parmetro no se tiver actualizado bem e voltar a realizar a actualizao. Em geral, contacta antes com a lista de correio pmb.user@sigb.net', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'acessvel', '1', ' Z3950 acessvel ?\r\n 0 : no, menu inacessvel\r\n 1 : Sim, a libraria PHP_YAZ est activada, a busca z3950  possvel', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastautorities', '10', 'Nmero das ltimas autoridades a mostrar na gesto de autoridades', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1before_list', 'Salvo erro de nossa parte, ainda est em posse do(s) documento(s) seguinte(s) cujo emprstimo j finalizou :', 'Texto que aparecer antes da lista de documentos atrasados na carta de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1after_list', 'Agradecamos que nos contactasse por telefone para $biblio_phone ou para o email $biblio_email para saber da possibilidade de renovar estes emprstimos ou de devolver os documentos.', 'Texto que aparece depois da lista de documentos atrasados na carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1fdp', 'O responsvel.', 'Signatrio da carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1madame_monsieur', 'Estimado utilizador/utilizadora,', 'Cabealho da carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_par_page', '7', 'Nmero de documentos com atraso impresso nas pginas seguintes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_1ere_page', '4', 'Nmero de obras em atraso impresso na primeira pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1taille_bloc_expl', '16', 'Tamanho de um bloco (2 linhas) entre as obras obras com atraso. O incio de cada obra em atraso se espaar com este valor na pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_1er_page', '160', 'Incio da lista dos exemplares na primeira pgina, em mm depois da margem superior da pgina. Deve estar regulada em funo do texto que precede a lista das obras, a qual pode ser mais ou menos larga.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_page', '15', 'Incio da lista dos exemplares nas pginas seguintes, em mm depois da margem superior da pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1limite_after_list', '270', 'Posio mxima na parte inferior da pgina. Se um elemento impresso tende a ultrapassar este limite, ser impresso na pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_gauche', '10', 'Margem da esquerda em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_droite', '10', 'Margem da direita em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1largeur_page', '210', 'Largura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1hauteur_page', '297', 'Altura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1format_page', 'P', 'Formato da pgina : \r\n P : Portrait = Horizontal\r\n L : Landscape = deitado', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_h', '20', 'Posio horizontal em mm a partir da margem esquerda da pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_v', '20', 'Posio vertical em mm a partir da margem superior da pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'biblio_name', '$biblio_name', 'Nome da biblioteca ou centro de recursos imprimido no carto de utilizador. Pr $biblio_name para retomar o nome especficado na localizao do exemplar ou pr outra coisa.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'largeur_nom', '80', 'Largura de acordo com a impresso do nome do utilizador em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valabledu', 'Vlido de', '''Vlido de'' em "VLIDO De  ##/##/#### al ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valableau', 'em', '''em'' em "vlido de ##/##/#### em ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'carteno', 'Nm. carto :', 'Texto que precede o nmero de carto', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt1', '9b4a840d790eadc71b9064c9a843719b', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt2', '51580d4fd5f1ad2d981c91ddb04095ec', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_dispo', '1', 'A reserva de documentos est disponvel ?\r\n 0 : No\r\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1objet', '$biblio_name : documentos no devolvidos', 'Assunto do email de reclamao por atraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1before_list', 'Salvo erro da nossa parte, est ainda em posse do(s) seguinte(s) documento(s) cujo emprstimo j prescreveu:', 'Texto que aparece na lista de documentos em atraso do email de atraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1after_list', 'Agradecamos que nos contactasse o mais cedo possvel pelo telefone  $biblio_phone ou pelo email $biblio_email para estudar a possibilidade de renovar os emprstimos ou de devolver os documentos.', 'Texto que aparecer antes da lista de documentos em atraso no email', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1madame_monsieur', 'Estimado utilizador, utilizadora', 'Cabealho do correio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1fdp', 'O responsvel.', 'Signatrio do email de atraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'serial_link_article', '0', 'Incluir nos artigos o link  revista da qual procedem ao catalogar as publicaes peridicas ?\r\n 0 : No\r\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'num_carte_auto', '1', 'Nmero de carto automtico ? \r\n 1 : Sim\r\n 0 : No (se usas carto j impresso)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_title', '2', 'Busca simples por ttulo:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e seleccionada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_author', '2', 'Busca simples por autor:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e seleccionada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_publisher', '1', 'Busca simples por editora:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_collection', '1', 'Busca simples por coleco:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_subcollection', '1', 'Busca simples por subcoleco:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_category', '1', 'Busca simples por categoria:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_keywords', '1', 'Busca simples por indexao livre (palavras-chave):\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_abstract', '1', 'Busca simples pelo campo resumo:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_content', '0', 'Busca simples por as notas de contedo:\r\n 0 : No\r\n 1 : Sim\r\n 2 : autorizada e validada por omisso\r\nNO USADO DE MOMENTO', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_path_sep', '>', 'Separador para as categorias', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_columns', '3', 'Nmero de colunas do sumario geral das categorias', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_rec_per_page', '6', 'Nmero de registos mostrados por pgina na explorao das categorias', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_sort_records', 'index_serie, tnvol, index_sew', 'Explorador de categorias : modo de seleco dos registos :\r\n index_serie, tnvol, index_sew > por ttulo de srie, nmero na srie e ndice de ttulos\r\n rand() : aleatrio', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_first_level', '4', 'Nmero de resultados mostrados na primeira pgina', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_per_page', '10', 'Nmero de resultados mostrados nas pginas seguintes', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_rec_per_page', '1', 'Nmero de autores mostrados por pgina', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_display', '3', 'Nmero de subcategorias na primeira pgina', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_mode', 'libelle_categorie', 'Modo de visualizao das subcategorias : \r\n rand() > aleatrio\r\n libelle_categorie > ordem alfabtica', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_sort_records', 'index_serie, tnvol, index_sew', 'Modo de visualizao dos autores : seleco de registos', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_lang', 'pt_PT', 'Lngua do opac : pt_PT, es_ES, fr_FR o en_US o ar', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_categ_browser', '1', 'Mostrar as categorias na pgina de incio do OPAC 1: sim  ou 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_book_pics', '1', 'Mostrar as imagens dos livros na ficha do documento :\r\n 0 : No\r\n 1 : Sim', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa', '1', ' Pode reservar-se a partir do OPAC ? 1: Sim  ou 0: no', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_dispo', '1', 'Pode reservar-se um documento disponvel pelo OPAC \r\n 1: sim \r\n 0: no', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_meteo', '0', 'Mostrar o tempo no OPAC 1: sim ou 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'duration_session_auth', '1200', 'Durao da sesso do utilizador no OPAC em segundos', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'relance_adhesion', '31', 'Nmero de dias antes da expirao do carto para iniciar a renovao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pret_adhesion_depassee', '1', 'Pode emprestar-se se o carto est caducado ? : 0 NO, 1 POSSVEL', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'fdp', 'O responsvel.', 'Frmula de cortesia na parte inferior da pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'madame_monsieur', 'Estimado utilizador/a,', 'Cortesia do destinatrio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'texte', 'A sua inscrio finalizar em !!date_fin_adhesion!!. Agradecemos que pense em renov-a na sua prxima visita.\r\n\r\nAtentamente.\r\n\r\n\r\n', 'Frase de introduo da finalizao da inscrio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_gauche', '10', 'Margem esquerda da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_droite', '10', 'Margem direita da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'largeur_page', '210', 'Largura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'hauteur_page', '297', 'Altura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'format_page', 'P', 'P para Vertical, L para Horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'objet', '$biblio_name : sua inscrio', 'Assunto da carta de renovao do carto. Utiliza biblio_name para retomar o nome includo na localizao dos exemplares.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'texte', 'A sua inscrio finalizar no prximo !!date_fin_adhesion!!. Agradecemos que pense em renov-a na sua prxima visita.\r\n\r\nAtentamente,\r\n\r\n', 'Texto da renovao, !!date_fin_adhesion!! ser substitudo pela data de final da inscrio do utilizador', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'madame_monsieur', 'Estimado utilizador/a,', 'Cabealho da carta de renovao da inscrio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'fdp', 'O responsvel.', 'Frmula de cortesia na parte inferior da pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_marguerite_browser', '0', '0 o 1 : margarida das categorias', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_100cases_browser', '0', '0 o 1 : visualizao das 100 categorias', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'indexint_decimal', '1', '0 o 1 : a classificao interna  decimal tipo Dewey', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_indexint', '1', 'Busca simples pela classificao:\r\n 0 : no\r\n 1 : sim\r\n 2 : autorizada e seleccionada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'empr', 'birthdate_optional', '1', 'Ano de nascimento opcional : \r\n 0 > no:  obrigatrio\r\n 1 sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'show_empty_categ', '1', 'Mostrar as categorias que no contm nenhum registo? \r\n0=no, 1=sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'term_search_n_per_page', '50', 'Nmero de descritores mostrados por pgina numa busca por descritores nas categorias', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_loginform', '1', 'Mostrar a opo aos utilizadores de ligar-se no OPAC \r\n 0 > no\r\n 1 sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_style', 'bueil', 'Estilo grfico do OPAC, 1 estilo por omisso, nomargin : sem ver a coluna da esquerda', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_exemplaires', '1', 'Mostrar os exemplares no OPAC ?\n 1 Sim,\n 0 : No', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_modele', 'func_bdp.inc.php', 'Que script de funes de importao se usa para personalizar a importao ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'quotas_avances', '0', 'Opes de emprstimo avanado ? \r\n 0 : No\r\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logo', 'logo_default.jpg', 'Nome do arquivo da imagem do logo', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logosmall', 'images/site/livre.png', 'Nome do arquivo com a imagem pequena do logo', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_bandeaugauche', '1', 'Mostrar o men lateral da esquerda ? \n 0 : No\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_liensbas', '1', ' Mostrar os links(pmb, google, bibli) na parte inferior da pgina ? \n 0 : No\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_homeontop', '0', ' Mostrar o link INCIO (voltar ao incio) com o nome da biblioteca ou do centro de recursos (necessrio no caso de no existir o men lateral esquerdo) ? \r\n 0 : No\r\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_quota_pret_depasse', '1', '  possvel a reserva se existir algum emprstimo em atraso ? \n 0 : No\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_read_file', '100', 'Limite do tamanho de leitura de um arquivo ao importar, em geral com 100 o 200 deve funcionar, se houver problemas de time out : diminuir o tamanho, 50 por exemplo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_record_load', '100', 'Limite do tamanho de processar registos ao importar, em geral 100 o 200 deve funcionar, se houver problemas de time out : diminuir o tamanho, 50 por exemplo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p1', 'A biblioteca de prova de PMB prope 60 registos para provar a aplicao. Este ecr apresenta as numerosas possibilidades de busca e de navegao, que podem ser amplamente parametrizadas.', 'Pargrafo 1 com informao (por exemplo, descrio do fundo)', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p2', 'PMB Services est  sua disposio para ajudar a parametrizar ou adaptar o seu PMB.', 'Pargrafo 2 de informao: incio utilizadores.', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p1', '', 'Pargrafo 1 de resumo, mostra-se atravs da folha de estilo, ver id quickSummary.p1', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p2', '', 'Pargrafo 2 de resumo, mostra-se atravs da folha de estilo, ver id quickSummary.p2', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_dernieresnotices', '0', ' Mostrar as ltimas notcias criadas na parte inferior da pgina ? \n 0 : No\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_etageresaccueil', '1', ' Mostrar as estantes virtuais na parte inferior da pgina de incio ? \n 0 : No\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_important_p1', '', 'Infos importantes 1, na folha de estilo, ver id important.p1', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_important_p2', '', 'Infos importantes, na folha de estilo, ver id important.p2', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_name', 'Biblioteca PMB Services', 'Nome da biblioteca ou centro de recursos a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_website', 'www.sigb.net', 'Pgina web da biblioteca ou centro de recursos a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_adr1', '24 & 26, place des Halles', 'Direco 1 da biblioteca ou centro de recursos a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_town', 'CHATEAU DU LOIR', 'Cidade a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_cp', '72500', 'Cdigo postal a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_country', 'France', 'Pas a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_phone', '02 43 440 660', 'Telefone a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_dep', '37', 'Departamento no opac para mostrar o tempo', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_email', 'pmb@sigb.net', 'Email de contacto a mostrar no opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_order', 'index_serie, tnvol, index_sew', 'Ordem de visualizao dos registos nas estantes no opac \n  index_serie, tit1 : por ttulo de srie e ttulo \n rand()  : aleatrio', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_format', '4', 'Formato de visualizao dos registos nas estantes no ecr de inicio \r\n 1 : ISBD somente \r\n 2 : Pblico somente \r\n 4 : ISBD e Pblico \r\n 8 : Reduzido (ttulo+autores) somente', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_depliables', '1', 'Mostrar os registos ampliveis nas estantes da pgina de incio \r\n 0 : No \r\n 1 : Sim', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_nbnotices_accueil', '5', 'Nmero de registos mostrados nas categorias do ecr de incio \r\n 0 : Todos \r\n -1 : Nenhum \r\n x : x registos mostrados como mximo', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_aut_rec_per_page', '15', 'Nmero de registos mostrados para uma autoridade', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notices_format', '4', 'Formato de visualizao dos registos nas estantes do ecr de incio \n 1 : ISBD somente \n 2 : Pblico somente \n 4 : ISBD e Pblico \n 5 : ISBD e Pblico com ISBD em primeiro lugar \n 8 : Reduzido (ttulo+autores) seul', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notices_depliable', '1', 'Mostrar a ampliao dos registos nos resultados de uma busca 0 : No  1 : Sim', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'term_search_n_per_page', '50', 'Nmero de termos mostrados por pgina na busca por termo', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_empty_categ', '1', 'Ao buscar por termo,  mostrar as categorias que no contm nenhum registo ?:\r\n 0 : No \r\n 1 : Sim', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_extended_search', '1', 'Autoriza ou no a busca avanada no opac \n 0 : No \n 1 : Sim', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_term_search', '1', 'Autoriza ou no a busca por termos no opac\n 0 : No \n 1 : Sim', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'term_search_height', '350', 'Altura em pixels do marco de busca por termos (se no se indica ou est vazio : por omisso 200 pixels)', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_nb_col_subcat', '3', 'Nmero de colunas de subcategorias ao navegar nas categorias \n 3 por omisso', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'max_resa', '5', 'Nmero mximo de reservas sobre um documento \r\n 5 por omisso \r\n 0 para ilimitadas', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'show_help', '1', 'Mostrar a ajuda contextual de PMB na parte de gesto \r\n 1 Sim \r\n 0 No', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_help', '1', 'Mostrar a ajuda online no OPAC de PMB  \n 1 Sim \n 0 No', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'cart_allow', '1', 'Cestos disponveis no OPAC de PMB  \n 1 Sim \n 0 No', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'max_cart_items', '200', 'Nmero mximo de registos num cesto de administradores.', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_section_browser', '1', ' Mostrar os links de localizaes e seces ?\n 0 : No\n 1 : Sim', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_localisations_per_line', '6', 'Nmero de localizaes mostradas por linha na pgina de incio (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_sections_per_line', '6', 'Nmero de seces mostradas por linha ao visualizar a localizao (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'cart_only_for_subscriber', '1', 'Cestos de registos reservados aos utilizador ou membros da biblioteca ou do centro de recursos ?\r\n 1: Sim\r\n 0: No, autorizadas para todos os internautas', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notice_reduit_format', '0', 'Formato de visualizao reduzido dos registos :\r\n 0 normal = ttulo+autores principales\r\n P 1,2,3: Perso. : tit+aut+campos persos id 1 2 3\r\n E 1,2,3: Perso. : tit+aut+edit+campos persos id 1 2 3 \r\n T : tit1+tit4', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'before_list', 'Devido ao seu pedido de reserva, te informamos que a(s) obra(s) aqui mencionadas j esto  sua disposio na biblioteca.', 'Texto que aparece antes da lista de obras reservadas na carta de confirmao de reservas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'after_list', 'Passado o perodo de reserva, as obras sero postas outra vez em circulao, assim recomendamos que venha a busc-las o mais cedo possvel.', 'Texto que aparece depois da lista de obras', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'fdp', 'O responsvel.', 'Assinatura da carta, usar $biblio_name para incluir o parmetro "biblio name" ou introduz outra coisa.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'madame_monsieur', 'Estimado utilizador/a,', 'Cabealho da carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'nb_par_page', '7', 'Nmero de documento em atraso impressos nas pginas seguintes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'nb_1ere_page', '4', 'Nmero de documentos em atraso impressos na primeira pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'taille_bloc_expl', '16', 'Tamanho de um bloco (2 linhas) de obras em reserva. O incio de cada obra reservada ser espaada com este valor na pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'debut_expl_1er_page', '160', 'Incio da lista de obras na primeira pgina, em mm a contar da margem superior da pgina. Deve estar regulado em funo do texto que precede a lista de obras, que pode ser mais ou menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'debut_expl_page', '15', 'Incio da lista de obras nas pginas seguintes, em mm a contar da margem superior da pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'limite_after_list', '270', 'Posio limite na parte inferior da pgina. Se um elemento impresso ultrapassa este limite, imprimir-se- na pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'marge_page_gauche', '10', 'Margem esquerda em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'marge_page_droite', '10', 'Margem direita em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'largeur_page', '210', 'Largura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'hauteur_page', '297', 'Altura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'format_page', 'P', 'Formato da pgina : \r\n P : Vertical\r\n L : Landscape = horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_max_display', '200', 'Para a pgina de incio, nmero mximo de categorias principais mostradas', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_other_function', '', 'Funcin complementaria para as buscas na pgina de incio', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'lien_bas_supplementaire', '<a href=''http://www.sigb.net.com/poomble.php'' target=_blank>Link para outro stio</a>', 'Link suplementar na parte inferior da pgina de incio, a introduzir completo : a href= lien /a', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'import_modele', 'func_other.inc.php', 'Que script de funes de importao se usa para personalizar a importao na integrao z3950 ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'server', 'chinon', 'Servidor LDAP, IP o host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'basedn', '', 'Raiz do nome de domnio LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'port', '389', 'Porto do servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'filter', '(&(objectclass=person)(gidnumber=GID))', 'Servidor LDAP, IP o host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'fields', 'uid,gecos,departmentnumber', 'Campos do servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'lang', 'pt_PT', 'Llengua do servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'groups', '', 'Grupos do servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'acessvel', '0', ' LDAP acessvel ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_show_only_last', '0', 'Na ficha de um registo : \n 0 mostrar tudo \n 1 : mostrar nicamente a ltima folha da rvore de categorias', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'show_only_last', '0', 'Na ficha de um registo : \n 0 mostrar tudo \n 1 : mostrar unicamente a ltima folha da rvore da categoria', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'prefill_cote', 'custom_cote_02.inc.php', 'Script personalizado de construo da assinatura do exemplar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'proto', '3', 'Verso do protocolo LDAP : 3 ou 2', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'binddn', 'uid=UID,ou=People', 'Descrio da ligao : construo da cadeia binddn para ligar a autenticao ao servidor LDAP no OPAC', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'empr', 'corresp_import', '', 'Tabela de correspondncias colunas/campos na importao de utilizadores a partir de um arquivo ASCII', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'type_audit', '0', 'Gesto/visualizao das datas de criao/modificao \n 0: Nenhuma\n 1: Criao e ltima modificao\n 2: Criao e todas as datas de modificao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_abonnement', '0', ' Usar a gesto das inscries dos utilizadores ? \n 0 : No\n 1 : Sim, gesto simples, \n 2 : Sim, gesto avanada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'utiliser_calendrier', '0', ' Usar o calendrio dos dias de abertura ? \n 0 : No\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_financiere', '0', ' Usar o mdulo de gesto financeira ? \n 0 : No\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_tarif_prets', '0', ' Usar a gesto de tarifas de emprstimos ? \n 0 : No\n 1 : Sim, gesto simples, \n 2 : Sim, gesto avanada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_amende', '0', ' Usar a gesto das multas :\n 0 = No\n 1 = Gesto simples\n 2 = Gesto avanada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'amende_jour', '0.15', 'Multa por dia de atraso para todo tipo de documentos. Ateno, o separador decimal  o ponto, no a vrgula', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_avant_amende', '15', 'Prazo antes de cobrar a multa, em dias', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_recouvrement', '7', 'Prazo entre a 3 reclamao e a actualizao de cobro oficial da multa, em dias', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'amende_maximum', '0', 'Multa mxima, qualquer que seja o atraso, a multa limita-se a este importe. 0 para desactivar esta opo.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'priorite_email', '1', 'Prioridade das cartas de confirmao de reserva por mail depois da validao de uma reserva :\n 0 : Carta sola\n 1 : Email, por omisso carta\n 2 : Mail Y carta\n 3 : Nenhum alerta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'priorite_email_manuel', '1', 'Prioridades das cartas de confirmao de reserva por mail logo da sua impresso depois de imprimir a partir do boto:\n 0 : Carta s\n 1 : Email, por omisso carta\n 2 : Mail e carta\n 3 : Nenhuma alerta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_abt', '1', 'Bloqueio do emprstimo sem a conta de inscrio tem dvidas\n 0 : sem bloqueio\n 1 : bloqueio com opo a forar . : bloqueio inevitvel.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_pret', '1', 'Bloqueio do emprstimo sem a conta de emprstimos tem dvidas\n 0 : sem bloqueio \n 1 : bloqueio com opo a forar . : bloqueio inevitvel.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_amende', '1', 'Bloqueio do emprstimo sem a conta de multas tem dvidas\n 0 : sem bloqueio \n 1 : bloqueio com opo a forar . : bloqueio inevitvel.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_devise', '&euro;', 'Divisa da gesto financeira, a que se visualizar em cdigo HTML', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'book_pics_url', '', 'URL das imagens dos registos, na direco proporcionada, !!isbn!! subtituir-se- pelo cdigo ISBN o EAN do registo sem nenhum guio ou ponto. \n exemplo : http://www.monsite/opac/images/vignettes/!!isbn!!.jpg', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'lien_moteur_recherche', '<a href=http://www.google.es target=_blank>Buscar no Google</a>', 'Link suplementar na pgina de incio, a introduzir completo : a href= link', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pret_express_statut', '2', 'Estado do registo ao criar um exemplar em emprstimo rpido', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notice_affichage_class', '', 'Nome da classe para a personalizao da visualizao de registos', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'confirm_retour', '0', 'Ao devolver documentos,  o retorno deve confirmar-se ? \n 0 : No, se podem passar os cdigos de barras uns atrs de outros \n 1 : Sim,  necessrio validar a devoluo depois de cada cdigo de barras', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_meteo_url', '<img src="http://perso0.free.fr/cgi-bin/meteo.pl?dep=72" alt="" border="0" hspace=0>', 'URL do tempo a mostrar', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'limitation_dewey', '0', 'Nmero mximo de caracteres na Dewey (676) ao importar : \n 0 nenhuma limitao \n 3 : limitao de 000 a 999 \n 5 (exemplo) limitao 000.0 \n -1 : no importar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_1_2', '15', 'Prazo entre a 1 e a 2 reclamao', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_2_3', '15', 'Prazo entre a 2 e a 3 reclamao', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'lecteurs_localises', '0', ' Utilizadores localizados ? \n 0: No \n 1: Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'active', '1', ' D.S.I activada ? \n 0: No \n 1: Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'auto', '0', ' D.S.I automtica activada ? \n 0: No \n 1: Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'insc_categ', '0', ' Subscrio automtica dos cestos da categoria do utilizador ao cri-lo ? \n 0: No \n 1: Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_bannette_priv', '0', 'Posibilidade para os utilizadores de criar o modificar os seus cestos privados \n 0: No \n 1: Sim', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_resiliation', '0', 'Posibilidade para os utilizadores de cancelar a sua subscrio dos cestos pro \n 0: No \n 1: Sim', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_categ_bannette', '0', 'Mostrar os cestos da categorias do utilizador e a sua disponibilidade para subscriber-se \n 0: No \n 1: Sim', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'url_base', './', 'URL do opac : normalmente pr a url pblica do web http://mipagina/opac/ no esquecer o / final', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_1', '0.53', 'Custo pela primeira carta de reclamao', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_2', '0.53', 'Custo pela segunda carta de reclamao', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_3', '2.50', 'Custo pela terceira carta de reclamao', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'statut_perdu', '', 'Estado (de exemplar) perdido para as obras no devolvidas', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2after_list', 'Le agradecerasmos se pusiera em contacto com nosotros por telefono al $biblio_phone o por email a $biblio_email para estudar a possibilidade de renovar estes emprstimos o de devolver os documentos.', 'Texto que aparece depois da lista de documentos em atraso na carta de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2before_list', 'Salvo error por nossa parte, usted ainda tem o o os seguintes livros, a durao dos emprstimos ya ha finalizado :', 'Texto que aparece antes da lista de documentos em atraso na carta de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2debut_expl_1er_page', '160', 'Incio da lista de exemplares na primeira pgina, em mm a partir do margem superior da pgina. Deve estar regulado em funo do texto que precede a a lista de obras, que pode ser mais ou menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2debut_expl_page', '15', 'Incio da lista dos exemplares nas pgina seguinte, em mm a partir do margem superior da pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2fdp', 'O responsvel.', 'Assinatura da carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2format_page', 'P', 'Formato da pgina : \r\n P : Vertical\r\n L : Horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2hauteur_page', '297', 'Altura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2largeur_page', '210', 'Largura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2limite_after_list', '270', 'Posio limite na parte inferior da pgina. Si um elemento impresso tende a passar este limite, se imprimir na pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2madame_monsieur', 'Estimado/a utilizador/a,', 'Cabealho da carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2marge_page_droite', '10', 'Margem direita em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2marge_page_gauche', '10', 'Margem esquerda em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2nb_1ere_page', '4', 'Nmero de obras em atraso impressas na primeira pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2nb_par_page', '7', 'Nmero de obras em atraso impressas nas pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2taille_bloc_expl', '16', 'Tamanho de bloco (2 linhas) de obra em atraso. El incio de cada obra em atraso ser espaado este valor', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3after_list', 'Agradecamos que nos contactasse rapidamente para o telefone  $biblio_phone ou para o email $biblio_email para estudar a possibilidade de renovar estes emprstimos ou de devolver os documentos.', 'Texto que aparece depois da lista de obras em atraso na carta de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3before_list', ''Salvo nosso erro, ainda tem o(s) seguinte(s) livro(s), a durao dos emprstimos j finalizou :', 'Texto que aparece antes da lista de documentos em atraso na carta de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3debut_expl_1er_page', '160', 'Incio da lista de exemplares na primeira pgina, em mm a partir da margem superior da pgina. Deve estar regulado em funo do texto que precede a lista de obras, que pode ser mais ou menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3debut_expl_page', '15', 'Incio da lista dos exemplares nas pgina seguinte, em mm a partir do margem superior da pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3fdp', 'O responsvel.', 'Assinatura da carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3format_page', 'P', 'Formato da pgina : \r\n P : Vertical\r\n L : Horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3hauteur_page', '297', 'Altura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3largeur_page', '210', 'Largura da pgina em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3limite_after_list', '270', 'Posio limite na parte inferior da pgina. Se um elemento impresso tende a passar este limite, imprimir-se- na pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3madame_monsieur', 'Estimado/a utilizador/a,', 'Cabealho da carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3marge_page_droite', '10', 'Margem direita em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3marge_page_gauche', '10', 'Margem esquerda em mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3nb_1ere_page', '4', 'Nmero de obras em atraso impressas na primeira pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3nb_par_page', '7', 'Nmero de obras em atraso impressas nas pgina seguinte.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3taille_bloc_expl', '16', 'Tamanho de bloco (2 linhas) de obra em atraso. O incio de cada obra em atraso ser espaado este valor', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3before_recouvrement', 'Ao no obter notcias suas nos prximos 7 dias, delegaremos s autoridades a cobrana das obras seguintes :', 'Texto anterior  lista de obras reclamadas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_order', ' index_serie, tnvol, index_sew ', 'Ordem dos registos nas cestos no opac \n  index_serie, tnvol, index_sew : ordenadas por ttulo de srie e por ttulo\n rand()  : aletorio', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_format', '8', 'Formato de visualizao dos registos nos cestos \n 1 : s ISBD \n 2 : S Pblico \n 4 : ISBD e Pblico \n 8 : S Reduzido (ttulo+autores)', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_depliables', '1', 'Mostrar ampliao dos registos nos cestos \n 0 : No \n 1 : Sim', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_nb_liste', '0', 'Nmero de registos por cesto na lista de cestos \n 0 Todos \n N : maxi N\n -1 : nenhum', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'dsi_active', '0', 'DSI, cestos acessveis a partir do OPAC ? \n 0 : No \n 1 : Sim', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2after_list', 'Agradecamos que nos contactasse pelo telefone $biblio_phone ou pelo email $biblio_email para estudar a possibilidade de renovar estes emprstimos ou de devolver os documentos.', 'Texto que aparece depois da lista de obras em atraso no mail de reclamao.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2before_list', 'Salvo nosso erro, ainda tem o(s) seguinte(s) livro(s), a durao dos emprstimos j finalizou :', 'Texto que aparece antes da lista de documentos em atraso no mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2fdp', 'O responsvel.', 'Assinatura do mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2madame_monsieur', 'Estimado/a utilizador/a,', 'Cabealho do mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2objet', '$biblio_name : documentos em atraso', 'Assunto do mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3after_list', 'Agradecamos que nos contactasse pelo telefone $biblio_phone ou pelo email $biblio_email para estudar a possibilidade de renovar estes emprstimos ou de devolver os documentos.', 'Texto que aparece depois da lista de obras em atraso no mail de reclamao.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3before_list', 'Salvo nosso erro, ainda tem o(s) seguinte(s) livro(s), a durao dos emprstimos j finalizou :', 'Texto que aparece antes da lista de documentos em atraso no mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3fdp', 'O responsvel.', 'Assinatura do mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3madame_monsieur', 'Estimado/a utilizador/a,', 'Cabealho do mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3objet', '$biblio_name : documentos em atraso', 'Assunto do mail de reclamao', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3before_recouvrement', 'Ao no obter notcias suas nos prximos 7 dias, delegaremos s autoridades a cobrana das obras seguintes :', 'Texto anterior  lista de obras reclamadas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', 'priorite_email', '1', 'Prioridade das cartas de reclamao :\n 0 : Carta somente \n 1 : Mail, por omisso carta \n 2 : Mail e carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_modele_lecteur', '', 'Modelo de importao dos utilizadores', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_retard', '0', 'Bloquear o emprstimo com uma durao igual ao atraso ? 0=no, 1=sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_delai', '7', 'Das a partir de quando o atraso se tem em conta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_max', '60', 'Nmero mximo de dias a bloquear (0 = sem limite)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_coef', '1', 'Coeficiente de proporo dos dias de atraso para bloquear', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_retard_force', '1', '1 = O emprstimo pode forar-se quando um utilizador esteja bloqueado, 2 = No se pode forar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_order', ' name ', 'Ordem das estantes no ecr de incio, \n name = por nome\n name DESC = por nome descendente', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'book_pics_show', '0', 'Ver as capas dos livros em gesto\n 1: sim  \n 0: no', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'book_pics_url', '', 'URL das imagens dos registos, no caminho introduzido , !!isbn!! substituir-se- pelo cdigo ISBN ou EAN do registo eliminando todos os guies ou pontos. \r\n exemplo : http://www.mipagina/opac/imagens/capas/!!isbn!!.jpg', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'opac_url', './opac_css/', 'URL do OPAC visto a partir da parte de gesto, por omisso ./opac_css/', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_popup', '1', ' Formulrio de ligao em forma de popup ? :\n 0 : No\n 1 : Sim', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_x', '100', 'Largura da imagem criada para um documento electrnico', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_y', '100', 'Altura da imagem criada para um documento electrnico', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_imagemagick', '', 'Caminho do executable ImageMagick (/usr/bin/imagemagick por exemplo)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_rss_browser', '0', 'Ver as fontes RSS do catlogo na pgina de incio 1: sim o 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'mail_methode', 'php', 'Mtodo de envo dos mails : \n php : funo mail() de php\n smtp,hote:port,auth,user,pass : em smtp, pr O o 1 para a autenticao...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'mail_methode', 'php', 'Mtodo de envo dos mails no opac : \n php : funo mail() de php\n smtp,hote:port,auth,user,pass : em smtp, pr O ou 1 para a autenticao...', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_show_typdoc', '1', 'Mostrar opo por tipo de documento para as buscas na pgina de incio', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'verif_on_line', '0', 'No men Administrao > Ferramentas > Act Base : verificao de verses mais recentes de PMB online ? \r\n0 : no : se no est ligado  internet\r\n 1 : Sim : se est ligado  internet', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_languages', '1 pt_PT,ca_ES,fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'Mostrar um men solto de seleco de lngua ? \r\n 0 : No \r\n 1 : Sim \r\nNo uses um espao entre os cdigos de lnguas, somente uma vrgula : fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_font', 'Helvetica', 'Fonte tipogrfica para os campos variveis nos pdf - Fonte Arial', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_fontfixed', 'Courier', 'Fonte tipogrfica para os campos fixos nos pdf - Fonte Courier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'debug', '0', 'Esvaziar (exportar arquivo) dos registos encontrados em Z3950 \r\n 0: No \r\n 1: Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastnotices', '10', 'Nmero de ltimos registos a mostrar em Catlogo - ltimos registos', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_dernieresnotices_nb', '10', 'Nmero de ltimos registos a mostrar em Catlogo - ltimos registos', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'recouvrement_auto', '0', 'Por omisso passagem em recuperao proposta na gesto das reactivaes se nvel=3 e deve ser em 4: \r\n 1: Sim, recuperao proposta por omisso \r\n 0: No fazer nada por omisso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'keyword_sep', ' ', 'Separador de palavras-chave na zona de indexao livre, espao o ; o , o ...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'mode_pmb', '0', 'Nivel de uso do thesaurus.\n 0 : Um s thesaurus por omisso.\n 1 : Seleco de thesaurus possvel.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'defaut', '1', 'Identificador do thesaurus por omisso.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'liste_trad', 'pt_PT', 'Lista de idiomas mostrados nos thesurus.\n(ex : es_ES,en_UK,...,ar)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'thesaurus', '0', 'Nivel de uso dos thesaurus.\n 0 : Um s thesaurus por omisso.\n 1 : Seleco de thesaurus possvel.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'active', '0', 'Mdulo de aquisies activado.\n 0 : No.\n 1 : Sim.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'gestion_tva', '0', 'Gesto do IVA.\n 0 : No.\n 1 : Sim.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'poids_sugg', 'B=1.00,U=0.70,V=0.00', 'Valorao das sugestes por omisso em percentagem.\n B=Pessoal centro, U=Utilizadores, V=Visitantes.\n ex : U=1.00,E=0.70,V=0.00 \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'format', '8,CA,DD,BL,FA', 'Tamanho do Nmero e Prefixos das actas de compras.\nex : 8,CA,DD,BL,FA \n8 = Prefixo + 8 cifras\nCA=Pedido Compra, DD=Pedido de oramento,BL=Recibo de entrega, FA=Factura de compra \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'budget', '0', 'Uso de um oramento para os pedidos.\n 0:opcional\n 1:obrigatrio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_format_page', '210x297', 'Largura x Altura da pgina em mm', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_orient_page', 'P', 'Orientao da pgina: P=Retrato, L=Paisagem', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_marges_page', '10,20,10,10', 'Margens da pgina em mm : Superior,Inferior,Direita,Esquerda', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_logo', '10,10,20,20', 'Posio do logo: Distncia em relao  margem esquerda da pgina,Distncia em relao  largada da pgina,Largura, Altura', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_raison', '35,10,100,10,16', 'Posio Razo social: Distncia em relao  margem esquerda da pgina, Distncia em relao  largada da pgina,Largura,Altura,Tamanho fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_date', '150,10,0,6,8', 'Posio Data: Distncia em relao  margem superior esquerda da pgina,Distncia em relao al margem superior da pgina,Largura, Altura,Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_adr_fac', '10,35,60,5,10', 'Posio Direco de facturao: Distncia em relao  margem superior esquerda da pgina,Distncia em relao  margem superior da pgina,Largura, Altura,Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_adr_liv', '10,75,60,5,10', 'Posio Direco de entrega: Distncia em relao  margem superior esquerda da pgina,Distncia em relao  margem superior da pgina,Largura, Altura,Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_adr_fou', '100,55,100,6,14', 'Posio Direco fornecedor: Distncia em relao  margem superior esquerda da pgina,Distncia em relao  margem superior da pgina,Largura, Altura,Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_num', '10,110,0,10,16', 'Posio nmero de pedido: Distncia em relao  margem superior esquerda da pgina,Distncia em relao  margem superior da pgina,Largura, Altura,Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_text_size', '10', 'Tamanho da fonte do texto', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_text_before', '', 'Texto anterior do pedido', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_text_after', '', 'Texto posterior ao pedido ', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_tab_cde', '5,10', 'Lista de pedidos: Largura linha,Tamanho fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_tot', '10,40,5,10', 'Posio total do pedido: Distncia com relao  margem esquerda da pgina, Largura, Altura linha,Tamanho fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_footer', '15,8', 'Posio inferior da pgina: Distncia em relao  margem inferior da pgina, Tamanho da fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_pos_sign', '10,60,5,10', 'Posio assinatura: Distncia em relao  margem esquerda da pgina, Largura, Altura linha, Tamanho fonte', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfcde_text_sign', 'O responsvel da biblioteca.', 'Texto firma', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_format_page', '210x297', 'Largura x Altura da pgina em mm', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_orient_page', 'P', 'Orientao da pgina: P=Vertical, L=Paisagem', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_marges_page', '10,20,10,10', 'Margens da pgina em mm : Cima,Baixo,Direita,Esquerda', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_logo', '10,10,20,20', 'Posio do logo: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_raison', '35,10,100,10,16', 'Posio Razo social: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_date', '150,10,0,6,8', 'Posio Data: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_adr_fac', '10,35,60,5,10', 'Posio Direco de facturao: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_adr_liv', '10,75,60,5,10', 'Posio Direco de entrega: Distncia em relao  margem esquerda da pgina, Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_adr_fou', '100,55,100,6,14', 'Posio Direco distribuidor: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_num', '10,110,0,10,16', 'Posio nmero de pedido: Distncia em relao  margem esquerda da pgina,Distncia em relao  margem de cima da pgina,Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_text_size', '10', 'Tamanho da fonte do texto', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_text_before', '', 'Texto anterior  lista de pedidos', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_comment', '0', 'Mostrar os comentarios: 0=no, 1=sim', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_text_after', '', 'Texto depois da lista de pedidos', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_tab_dev', '5,10', 'Lista de pedidos: Altura linha,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_footer', '15,8', 'Posio inferior da pgina: Distncia em relao  margem inferior da pgina, Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_pos_sign', '10,60,5,10', 'Posio firma: Distncia em relao  margem esquerda da pgina, Largura,Altura,Tamanho da fonte', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfdev_text_sign', 'O responsvel da biblioteca.', 'Texto firma', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'export_allow', '1', 'Exportao de registos a partir do opac : \n 0 : probido \n 1 : para todos \n 2 : para os utilizadores registrados unicamente', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_planning', '0', 'Usar um planning de reserva ? \n 0: No \n 1: Sim', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_contact', '<a href=''mailto:pmb@sigb.net''>pmb@sigb.net</a>', 'Cdigo HTML de informao sobre a pessoa a contactar por exemplo em caso de problemas de reserva.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_operator', '0', 'Operador por omisso. 0 : OR, 1 : AND.', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_all', '2', 'Busca simples no conjunto de campos :0 : no,  1 : autorizada,  2 : autorizada e validada por omisso', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_format_page', '210x297', 'Altura x Largura da pgina em mm', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_orient_page', 'P', 'Orientao da pgina: P=Retrato, L=Paisagem', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_marges_page', '10,20,10,10', 'Margens da pgina em mm : Alto, Baixo, Direito, Esquerdo', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_raison', '10,10,100,10,16', 'Posio Razo social: Distncia em relao  margem esquerda da pgina,Distncia em relao  parte de cima da pgina,Largura, Altura,Tamanho da fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_adr_liv', '10,20,60,5,10', 'Postion Adresse de livraison: Distncia em relao  margem esquerda da pgina,Distncia em relao  parte de cima da pgina,Largura, Altura,Tamanho da fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_adr_fou', '110,20,100,5,10', 'Posio elementos fornecedor: Distncia em relao  margem esquerda da pgina,Distncia em relao  parte de cima da pgina,Largura, Altura,Tamanho da fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_num', '10,60,0,6,14', 'Posio nmero Encomenda/Entrega: Distncia em relao  margem esquerda da pgina,Distncia em relao  parte de cima da pgina,Largura, Altura,Tamanho da fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_tab_liv', '5,10', 'Lista de entregas: Altura linha,Tamanho fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_footer', '15,8', 'Posio inferior da pgina: Distncia em relao  parte inferior da pgina, Tamanho fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'default_operator', '0', 'Operador por omisso. \n 0 : OR, \n 1 : AND.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', 'priorite_email_3', '0', 'Fazer o terceiro nvel de reclamao por email :\n 0 : No, carta \n 1 : Sim, por mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_suggest', '0', 'Propor fazer sugestes no OPAC.\n 0 : No.\n 1 : Sim, com autenticao.\n 2 : Sim, sem autenticao.', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'email_sugg', '0', 'Informao por mail da evoluo das sugestes.\n 0 : No\n 1 : Sim', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_text_size', '10', 'Tamanho da fonte do texto', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfliv_pos_date', '170,10,0,6,8', 'Posio Data: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura, Altura, Tamanho da fonte', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_text_size', '10', 'Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_format_page', '210x297', 'Largura x Altura da pgina em mm', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_orient_page', 'P', 'Orientao da pgina: P=Retrato, L=Paisagem', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_marges_page', '10,20,10,10', 'Margens da pgina em mm : Alto, Baixo, Direita, Esquerda', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_raison', '10,10,100,10,16', 'Posio Razo social: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_date', '170,10,0,6,8', 'Posio Data: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_adr_fac', '10,20,60,5,10', 'Posio Direco de facturao: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_adr_fou', '110,20,100,5,10', 'Posio elementos distribuidor: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_num', '10,60,0,6,14', 'Posio nmero Pedido/Factura: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_tab_fac', '5,10', 'Lista de facturao: Altura linha,Tamanho fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_tot', '10,40,5,10', 'Posio total de pedido: Distncia em relao  margem esquerda da pgina, Largura,Altura,Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdffac_pos_footer', '15,8', 'Posio abaixo da pgina: Distncia em relao  parte inferior da pgina, Tamanho da fonte', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_text_size', '8', 'Tamanho da fonte texto', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_format_page', '210x297', 'Largura x Altura da pgina em mm', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_orient_page', 'P', 'Orientao da pgina: P=Retrato, L=Paisagem', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_marges_page', '10,20,10,10', 'Margens da pgina em mm : Alto,Baixo,Direita,Esquerda', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_pos_titre', '10,10,100,10,16', 'Posio ttulo: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_pos_date', '170,10,0,6,8', 'Posio data: Distncia em relao  margem esquerda da pgina,Distncia em relao  altura da pgina,Largura,Altura,Tamanho da fonte', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_tab_sug', '5,10', 'Lista de sugestes: Altura linha,Tamanho fonte', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'pdfsug_pos_footer', '15,8', 'Posio inferior da pgina : Distncia em relao  parte inferior da pgina, Tamanho da fonte', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_rej_obj', 'Sugesto de compra no aceite', 'Assunto do correio de sugesto no aceite', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_rej_cor', 'A sua sugesto de !!date!! no foi aceite.\n\n', 'Corpo do mail de rejeio de sugesto', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_con_obj', 'Sugesto aceite', 'Assunto do email de confirmao sugesto aceite', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_con_cor', 'A sua sugesto de !!date!! foi guardada para comprar prximamente.\n\n', 'Corpo do mensagem de confirmao de sugesto aceite', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_aba_obj', 'Sugesto no possvel', 'Assunto do email de sugesto no possvel', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_aba_cor', 'A sua sugesto de !!date!! no se encontrou ou no est disponvel a venda.\n\n', 'Corpo do mensagem de sugesto no psoible', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_cde_obj', 'Sugesto pedida', 'Assunto do email de sugesto pedida', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_cde_cor', 'A sua sugesto de !!date!! foi pedida.\n\n', 'Corpo do mensagem de sugesto pedida', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_rec_obj', 'Sugesto na biblioteca', 'Corpo do mensagem de email de sugesto na biblioteca', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquistion', 'mel_rec_cor', 'A sua sugesto de !!date!! chegou  biblioteca e em breve estar disponvel.\n\n', 'Corpo do mensagem de correio de chegada da sugesto', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_tags_search', '0', 'Busca por etiquetas (palavras-chave utilizadores) \n 1 = sim \n 0 = no', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_add_tag', '0', 'Permitir aos utilizadores adicionar uma etiqueta a um registo.\n 0 : no\n 1 : sim\n 2 : identificao obrigatria para adicionar', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'avis_allow', '0', 'Permitir consultar/adicionar um comentario nos registos \n 0 : no \n 1 : sem estar identificado : consulta possvel, sem adicionar \n 2 : identificao obrigatria para consultar e adicionar', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'avis_nb_max', '30', 'Nmero mximo de comentarios conservados por registo. Os mais velhos so eliminados em favor de mais recentes quando se chegue a esse nmero.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'categ_in_line', '0', 'Mostrar categorias em linha.\n 0 : No.\n 1 : Sim.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_in_line', '0', 'Mostrar categorias em linha.\r\n 0 : No.\r\n 1 : Sim.', 'i_categories', 0);

-- 
-- Contedo da tabela `users`
-- 

INSERT INTO users (userid, create_dt, last_updated_dt, username, pwd, nom, prenom, rights, user_lang, nb_per_page_search, nb_per_page_select, nb_per_page_gestion, param_popup_ticket, param_sounds, param_licence, deflt_notice_statut, deflt_docs_type, deflt_lenders, deflt_styles, deflt_docs_statut, deflt_docs_codestat, value_deflt_lang, value_deflt_fonction, deflt_docs_location, deflt_docs_section, value_deflt_module, user_email, user_alert_resamail, deflt2docs_location, deflt_thesaurus, value_prefix_cote, xmlta_doctype) VALUES (1, '2002-07-28', '2005-08-10', 'admin', password('admin'), 'Super User', '', 255, 'pt_PT', 20, 10, 20, 0, 1, 0, 1, 1, 2, 'couleurs_onglets', 1, 12, 'fre', '070', 1, 10, 'admin', 'pmb@sigb.net', 1, 1, 1, '', 'a');
-- 
-- Contedo da tabela `notice_statut`
-- 

INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (1, 'Sem estado', '', 1, 1, 1, 'statutnot1', 0, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (2, 'Emprstimo rpido', '', 0, 1, 1, 'statutnot2', 1, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (3, 'Pedido', 'command', 1, 1, 1, 'statutnot4', 0, 0, 1, 0);


-- O mnimo estrictamente necessrio para comear sem thesaurus e poder criar um. Estas linhas eliminam-se ao instalar algum thesaurus durante a instalao.
-- 
-- Contedo da tabela `thesaurus`
-- 
INSERT INTO thesaurus (id_thesaurus, libelle_thesaurus, langue_defaut, active, opac_active, num_noeud_racine) VALUES (1, 'Thesaurus n1', 'pt_PT', '1', '1', 1);
-- 
-- Contedo da tabela `noeuds`
-- 
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (1, 'TOP', 0, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (2, 'NONCLASSES', 1, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (3, 'ORPHELINS', 1, 0, '0', 1);
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (2, 'pt_PT', '~descritores no clasificados', '', '', '', ' descritores no clasificados ');
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (3, 'pt_PT', '~descritores rfos', '', '', '', ' descritores rfos ');
