-- +-------------------------------------------------+
--  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
-- +-------------------------------------------------+
-- $Id: minimum.sql,v 1.24 2006-11-07 09:38:58 dbellamy Exp $

-- 
-- Contenu de la table `classements`
-- 

INSERT INTO classements (id_classement, type_classement, nom_classement) VALUES (1, '', '_NON CLASSE_');

-- 
-- Contenu de la table `origine_notice`
-- 

INSERT INTO origine_notice (orinot_id, orinot_nom, orinot_pays, orinot_diffusion) VALUES (1, 'Catalogage interne', 'FR', 1);

-- 
-- Contenu de la table `parametres`
-- 

INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'bdd_version', 'v4.09', 'Version de noyau de la base de donnes,  ne changer qu''en version infrieure si un paramtre tait mal pass et relancer la mise  jour. En gnral, contactez plutt la mailing liste pmb.user@sigb.net', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'accessible', '1', 'Z3950 accessible ?\r\n 0 : non, menu inaccessible\r\n 1 : Oui, la librairie PHP_YAZ est active, la recherche z3950 est possible', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastautorities', '10', 'Nombre de dernires autorites affiches en gestion d''autorits', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le courrier de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le courrier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1fdp', 'Le responsable.', 'Signataire de la lettre.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1madame_monsieur', 'Madame, Monsieur,', 'Entte de la lettre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_par_page', '7', 'Nombre d''ouvrages en retard imprim sur les pages suivantes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_1ere_page', '4', 'Nombre d''ouvrages en retard imprim sur la premire page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1taille_bloc_expl', '16', 'Taille d''un bloc (2 lignes) d''ouvrage en retard. Le dbut de chaque ouvrage en retard sera espac de cette valeur sur la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_1er_page', '160', 'Dbut de la liste des exemplaires sur la premire page, en mm depuis le bord suprieur de la page. Doit tre rgl en fonction du texte qui prcde la liste des ouvrages, lequel peut tre plus ou moins long.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_page', '15', 'Dbut de la liste des exemplaires sur les pages suivantes, en mm depuis le bord suprieur de la page.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1limite_after_list', '270', 'Position limite en bas de page. Si un lment imprim tente de dpasser cette limite, il sera imprim sur la page suivante.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_gauche', '10', 'Marge de gauche en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_droite', '10', 'Marge de droite en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1largeur_page', '210', 'Largeur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1hauteur_page', '297', 'Hauteur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1format_page', 'P', 'Format de la page : \r\n P : Portrait\r\n L : Landscape = paysage', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_h', '20', 'Position horizontale en mm  partir du bord gauche de la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_v', '20', 'Position verticale en mm  partir du bord suprieur de la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'biblio_name', '$biblio_name', 'Nom de la bibliothque ou du centre de ressources imprim sur la carte de lecteur. Mettre $biblio_name pour reprendre le nom spcifi en localisation d''exemplaire ou bien mettre autre chose.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'largeur_nom', '80', 'Largeur accorde  l''impression du nom du lecteur en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valabledu', 'Valable du', '''Valable du'' dans "VALABLE DU ##/##/#### au ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valableau', 'au', '''au'' dans "valable du ##/##/#### AU ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'carteno', 'Carte N :', 'Mention prcdant le numro de la carte', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt1', '9b4a840d790eadc71b9064c9a843719b', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt2', '51580d4fd5f1ad2d981c91ddb04095ec', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_dispo', '1', 'Rservation de documents disponibles possible ?\r\n 0 : Non\r\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1objet', '$biblio_name : documents en retard', 'Objet du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1madame_monsieur', 'Madame, Monsieur', 'Entte du mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1fdp', 'Le responsable.', 'Signataire du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'serial_link_article', '0', 'Prremplissage du lien des dpouillements avec le lien de la notice mre en catalogage des priodiques ?\r\n 0 : Non\r\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'num_carte_auto', '1', 'Numro de carte de lecteur automatique ? \r\n 1 : Oui\r\n 0 : Non (si utilisation de cartes pr-imprimes)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_title', '2', 'Recherche simple dans les titres:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_author', '2', 'Recherche simple dans les auteurs:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_publisher', '1', 'Recherche simple dans les diteurs:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_collection', '1', 'Recherche simple dans les collections:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_subcollection', '1', 'Recherche simple dans les sous-collections:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_category', '1', 'Recherche simple dans les catgories:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_keywords', '1', 'Recherche simple dans les indexations libres (mots cl):\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_abstract', '1', 'Recherche simple dans le champ rsum :\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_content', '0', 'Recherche simple dans les notes de contenu:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut\r\nINUTILISE POUR L''INSTANT', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_path_sep', '>', 'Sparateur pour les catgories', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_columns', '3', 'Nombre de colonnes du sommaire gnral des catgories', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_rec_per_page', '6', 'Nombre de notices  afficher par page dans l''exploration des catgories', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_sort_records', 'index_serie, tnvol, index_sew', 'Explorateur de catgories : mode de tri des notices :\r\n index_serie, tnvol, index_sew > par titre de srie, numro dans la srie et index des titres\r\n rand() : alatoire', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_first_level', '4', 'Nombre de rsultats affichs sur la premire page', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_per_page', '10', 'Nombre de rsultats affichs sur les pages suivantes', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_rec_per_page', '1', 'Nombre d''auteurs affichs par page', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_display', '3', 'Nombre de sous-categories sur la premire page', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_mode', 'categ_libelle', 'Mode affichage des sous-categories : \r\n rand() > alatoire\r\n categ_libelle > ordre alpha', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_sort_records', 'index_serie, tnvol, index_sew', 'Visu auteurs : tri des notices', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_lang', 'fr_FR', 'Langue de l''opac : fr_FR ou en_US ou es_ES ou ar', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_categ_browser', '1', 'Affichage des catgories en page d''accueil OPAC 1: oui  ou 0: non', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_book_pics', '1', 'Afficher les vignettes de livres dans les fiches ouvrages :\r\n 0 : Non\r\n 1 : Oui', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa', '1', 'Rservations possibles par l''OPAC 1: oui  ou 0: non', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_dispo', '1', 'Rservations possibles de documents disponibles par l''OPAC \r\n 1: oui \r\n 0: non', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_meteo', '0', 'Affichage de la mto dans l''OPAC 1: oui  ou 0: non', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'duration_session_auth', '1200', 'Dure de la session lecteur dans l''OPAC en secondes', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'relance_adhesion', '31', 'Nombre de jours avant expiration adhsion pour relance', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pret_adhesion_depassee', '1', 'Prts si adhsion dpasse : 0 INTERDIT incontournable, 1 POSSIBLE', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'fdp', 'Le responsable.', 'Formule de politesse en bas de page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'madame_monsieur', 'Madame, Monsieur,', 'Civilit du destinataire', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'texte', 'Votre abonnement arrive  chance le !!date_fin_adhesion!!. Nous vous remercions de penser  le renouveller lors de votre prochaine visite.\r\n\r\nNous vous prions de recevoir, Madame, Monsieur, l''expression de nos meilleures salutations.\r\n\r\n\r\n', 'Phrase d''introduction de l''chance de l''abonnement', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_gauche', '10', 'Marge gauche de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_droite', '10', 'Marge droite de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'largeur_page', '210', 'Largeur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'hauteur_page', '297', 'Hauteur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'format_page', 'P', 'P pour Portrait, L pour paysage (Landscape)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'objet', '$biblio_name : votre abonnement', 'Objet du courrier de relance d''adhsion. Utilisez biblio_name pour reprendre le nom prcis dans la localisation des exemplaires.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'texte', 'Votre abonnement arrive  chance le !!date_fin_adhesion!!. Nous vous remercions de penser  le renouveller lors de votre prochaine visite.\r\n\r\nCordialement,\r\n\r\n', 'Texte de la relance, !!date_fin_adhesion!! sera remplac  l''dition par la date de fin d''adhsion du lecteur', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'madame_monsieur', 'Madame, Monsieur,', 'Entte du courrier de relance d''adhsion', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'fdp', 'Le responsable.', 'Formule de politesse en bas de page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_marguerite_browser', '0', '0 ou 1 : marguerite des catgories', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_100cases_browser', '0', '0 ou 1 : affichage de 100 catgories', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'indexint_decimal', '1', '0 ou 1 : l''indexation interne est-elle une cotation dcimale type Dewey', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_indexint', '1', 'Recherche simple dans les indexations internes:\r\n 0 : interdite\r\n 1 : autorise\r\n 2 : autorise et valide par dfaut', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'empr', 'birthdate_optional', '1', 'Anne de naissance facultative : \r\n 0 > non:elle est obligatoire \r\n 1 Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'show_empty_categ', '1', 'Affichage des catgories ne contenant aucune notice :\r\n0=non, 1=oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'term_search_n_per_page', '50', 'Nombre de termes affichs par page lors d''une recherche par terme dans les catgories', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_loginform', '1', 'Affichage du login lecteur dans l''OPAC \r\n 0 > non\r\n 1 Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_style', 'bueil', 'Style graphique de l''OPAC, 1 style par dfaut, nomargin : sans affichage du bandeau de gauche', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_exemplaires', '1', 'Afficher les exemplaires dans l''OPAC\n 1 Oui,\n 0 : Non', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_modele', 'func_bdp.inc.php', 'Quel script de fonctions d''import utiliser pour personnaliser l''import ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'quotas_avances', '0', 'Quotas de prts avancs ? \r\n 0 : Non\r\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logo', 'logo_default.jpg', 'Nom du fichier de l''image logo', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logosmall', 'images/site/livre.png', 'Nom du fichier de l''image petit logo', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_bandeaugauche', '1', 'Affichage du bandeau de gauche ? \n 0 : Non\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_liensbas', '1', 'Affichage des liens(pmb, google, bibli) en bas de page ? \n 0 : Non\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_homeontop', '0', 'Affichage du lien HOME (retour accueil) sous le nom de la bibliothque ou du centre de ressources (ncessaire si masquage bandeau gauche) ? \r\n 0 : Non\r\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_quota_pret_depasse', '1', 'Rservation possible mme si quota de prt dpass ? \n 0 : Non\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_read_file', '100', 'Limite de taille de lecture du fichier en import, en gnral 100 ou 200 doit fonctionner, si problme de time out : fixer plus bas, 50 par exemple.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_record_load', '100', 'Limite de taille de traitement de notices en import, en gnral 100 ou 200 doit fonctionner, si problme de time out : fixer plus bas, 50 par exemple.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p1', 'La bibliothque de test de PMB vous propose prs de 60 ouvrages pour tester l''application. Cet cran vous prsente de nombreuses possibilits de recherche et de navigation, celles-ci sont grandement paramtrables.', 'Paragraphe 1 d''informations (par exemple, description du fonds)', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p2', 'PMB Services est  votre disposition pour vous aider  paramtrer ou adapter votre PMB.', 'Paragraphe 2 d''informations : accueil du public.', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p1', '', 'Paragraphe 1 de rsum, est masqu par dfaut dans la feuille de style, voir id quickSummary.p1', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p2', '', 'Paragraphe 2 de rsum, est masqu par dfaut dans la feuille de style, voir id quickSummary.p2', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_dernieresnotices', '0', 'Affichage des dernires notices cres en bas de page ? \n 0 : Non\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_etageresaccueil', '1', 'Affichage des tagres dans la page d''accueil en bas de page ? \n 0 : Non\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_important_p1', '', 'Infos importantes 1, est masqu par dfaut dans la feuille de style, voir id important.p1', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_important_p2', '', 'Infos importantes, est masqu par dfaut dans la feuille de style, voir id important.p2', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_name', 'Bibliothque PMB Services', 'Nom de la bibliothque ou du centre de ressources dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_website', 'www.sigb.net', 'Site web de la bibliothque ou du centre de ressources dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_adr1', 'Le Gu Luneau', 'Adresse 1 de la bibliothque ou du centre de ressources dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_town', 'BUEIL EN TOURAINE', 'Ville dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_cp', '37370', 'Code postal dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_country', 'France', 'Pays dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_phone', '02 47 24 89 29', 'Tlphone dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_dep', '37', 'Dpartement dans l''opac pour la mto', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'biblio_email', 'pmb@sigb.net', 'Email de contact dans l''opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'etagere_notices_order', 'index_serie, tnvol, index_sew', 'Ordre d''affichage des notices dans les tagres dans l''opac \n  index_serie, tit1 : tri par titre de srie et titre \n rand()  : alatoire', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'etagere_notices_format', '4', 'Format d''affichage des notices dans les tagres de l''cran d''accueil \r\n 1 : ISBD seul \r\n 2 : Public seul \r\n 4 : ISBD et Public \r\n 8 : Rduit (titre+auteurs) seul', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'etagere_notices_depliables', '1', 'Affichage dpliable des notices dans les tagres de l''cran d''accueil \r\n 0 : Non \r\n 1 : Oui', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'etagere_nbnotices_accueil', '5', 'Nombre de notices affiches dans les tagres de l''cran d''accueil \r\n 0 : Toutes \r\n -1 : Aucune \r\n x : x notices affiches au maximum', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'nb_aut_rec_per_page', '15', 'Nombre de notices affiches pour une autorit donne', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'notices_format', '4', 'Format d''affichage des notices dans les tagres de l''cran d''accueil \n 1 : ISBD seul \n 2 : Public seul \n 4 : ISBD et Public \n 5 : ISBD et Public avec ISBD en premier \n 8 : Rduit (titre+auteurs) seul', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'notices_depliable', '1', 'Affichage dpliable des notices en rsultat de recherche  0 : Non  1 : Oui', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'term_search_n_per_page', '50', 'Nombre de termes affichs par page en recherche par terme', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_empty_categ', '1', 'En recherche par terme, affichage des catgories ne contenant aucun ouvrage :\r\n 0 : Non \r\n 1 : Oui', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'allow_extended_search', '1', 'Autorisation ou non de la recherche avance dans l''OPAC \n 0 : Non \n 1 : Oui', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'allow_term_search', '1', 'Autorisation ou non de la recherche par termes dans l''OPAC \n 0 : Non \n 1 : Oui', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'term_search_height', '350', 'Hauteur en pixels de la frame de recherche par termes (si pas prcis ou zro : par dfaut 200 pixels)', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'categories_nb_col_subcat', '3', 'Nombre de colonnes de sous-catgories en navigation dans les catgories \n 3 par dfaut', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'max_resa', '5', 'Nombre maximum de rservation sur un document \r\n 5 par dfaut \r\n 0 pour illimit', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'show_help', '1', 'Affichage de l''aide contextuelle dans PMB en partie gestion \r\n 1 Oui \r\n 0 Non', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_help', '1', 'Affichage de l''aide en ligne dans l''OPAC de PMB  \n 1 Oui \n 0 Non', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'cart_allow', '1', 'Paniers possibles dans l''OPAC de PMB  \n 1 Oui \n 0 Non', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'max_cart_items', '200', 'Nombre maximum de notices dans un panier utilisateur.', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_section_browser', '1', 'Afficher le butineur de localisation et de sections ?\n 0 : Non\n 1 : Oui', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'nb_localisations_per_line', '6', 'Nombre de localisations affiches par ligne en page d''accueil (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'nb_sections_per_line', '6', 'Nombre de sections affiches par ligne en visualisation de localisation (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'cart_only_for_subscriber', '1', 'Paniers de notices rservs aux adhrents de la bibliothque ou du centre de ressources ?\r\n 1: Oui\r\n 0: Non, autoris pour tout internaute', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'notice_reduit_format', '0', 'Format d''affichage des rduits des notices :\r\n 0 normal = titre+auteurs principaux\r\n P 1,2,3: Perso. : tit+aut+champs persos id 1 2 3\r\n E 1,2,3: Perso. : tit+aut+dit+champs persos id 1 2 3 \r\n T : tit1+tit4', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'before_list', 'Suite  votre demande de rservation, nous vous informons que le ou les ouvrages ci-dessous sont  votre disposition  la bibliothque.', 'Texte apparaissant avant la liste des ouvrages en rsa dans le courrier de confirmation de rsa', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'after_list', 'Pass le dlai de rservation, ces ouvrages seront remis en circulation, vous priant de les retirer dans les meilleurs dlais.', 'Texte apparaissant aprs la liste des ouvrages', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'fdp', 'Le responsable.', 'Signataire de la lettre, utiliser $biblio_name pour reprendre le paramtre "biblio name" ou bien mettre autre chose.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'madame_monsieur', 'Madame, Monsieur,', 'Entte de la lettre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'nb_par_page', '7', 'Nombre d''ouvrages en retard imprim sur les pages suivantes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'nb_1ere_page', '4', 'Nombre d''ouvrages en retard imprim sur la premire page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'taille_bloc_expl', '16', 'Taille d''un bloc (2 lignes) d''ouvrage en rservation. Le dbut de chaque ouvrage en rsa sera espac de cette valeur sur la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'debut_expl_1er_page', '160', 'Dbut de la liste des ouvrages sur la premire page, en mm depuis le bord suprieur de la page. Doit tre rgl en fonction du texte qui prcde la liste des ouvrages, lequel peut tre plus ou moins long.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'debut_expl_page', '15', 'Dbut de la liste des ouvrages sur les pages suivantes, en mm depuis le bord suprieur de la page.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'limite_after_list', '270', 'Position limite en bas de page. Si un lment imprim tente de dpasser cette limite, il sera imprim sur la page suivante.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'marge_page_gauche', '10', 'Marge de gauche en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'marge_page_droite', '10', 'Marge de droite en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'largeur_page', '210', 'Largeur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'hauteur_page', '297', 'Hauteur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'format_page', 'P', 'Format de la page : \r\n P : Portrait\r\n L : Landscape = paysage', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'categories_max_display', '200', 'Pour la page d''accueil, nombre maximum de catgories principales affiches', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'search_other_function', '', 'Fonction complmentaire pour les recherches en page d''accueil', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'lien_bas_supplementaire', '<a href=''http://www.logogle.com/ggl.php?hl=ja&lo=PooMBle'' target=_blank>Lien vers autre site</a>', 'Lien supplmentaire en bas de page d''accueil,  renseigner compltement : a href= lien /a', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'z3950', 'import_modele', 'func_other.inc.php', 'Quel script de fonctions d''import utiliser pour personnaliser l''import en intgration z3950 ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'server', 'chinon', 'Serveur LDAP, IP ou host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'basedn', '', 'Racine du nom de domaine LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'port', '389', 'Port du serveur LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'filter', '(&(objectclass=person)(gidnumber=GID))', 'Serveur LDAP, IP ou host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'fields', 'uid,gecos,departmentnumber', 'Champs du serveur LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'lang', 'fr_FR', 'Langue du serveur LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'groups', '', 'Groupes du serveur LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'accessible', '0', 'LDAP accessible ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'categories_show_only_last', '0', 'Dans la fiche d''une notice : \n 0 tout afficher \n 1 : afficher uniquement la dernire feuille de l''arbre de la catgorie', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'categories', 'show_only_last', '0', 'Dans la fiche d''une notice : \n 0 tout afficher \n 1 : afficher uniquement la dernire feuille de l''arbre de la catgorie', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'prefill_cote', 'custom_cote_02.inc.php', 'Script personnalis de construction de la cote de l''exemplaire', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'proto', '3', 'Version du protocole LDAP : 3 ou 2', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'ldap', 'binddn', 'uid=UID,ou=People', 'Description de la liaison : construction de la chaine binddn pour lier l''authentification au serveur LDAP dans l''OPAC', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'empr', 'corresp_import', '', 'Table de correspondances colonnes/champs en import de lecteurs  partir d''un fichier ASCII', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'type_audit', '0', 'Gestion/affichage des dates de cration/modification \n 0: Rien\n 1: Cration et dernire modification\n 2: Cration et toutes les dates de modification', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'gestion_abonnement', '0', 'Utiliser la gestion des abonnements des lecteurs ? \n 0 : Non\n 1 : Oui, gestion simple, \n 2 : Oui, gestion avance', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'utiliser_calendrier', '0', 'Utiliser le calendrier des jours d''ouverture ? \n 0 : Non\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'gestion_financiere', '0', 'Utiliser le module gestion financire ? \n 0 : Non\n 1 : Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'gestion_tarif_prets', '0', 'Utiliser la gestion des tarifs de prts ? \n 0 : Non\n 1 : Oui, gestion simple, \n 2 : Oui, gestion avance', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'gestion_amende', '0', 'Utiliser la gestion des amendes:\n 0 = Non\n 1 = Gestion simple\n 2 = Gestion avance', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'amende_jour', '0.15', 'Amende par jour de retard pour tout type de document. Attention, le sparateur dcimal est le point, pas la virgule', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'delai_avant_amende', '15', 'Dlai avant dclenchement de l''amende, en jour', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'delai_recouvrement', '7', 'Dlai entre 3eme relance et mise en recouvrement officiel de l''amende, en jour', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'amende_maximum', '0', 'Amende maximum, quel que soit le retard l''amende est plafonne  ce montant. 0 pour dsactiver ce plafonnement.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'priorite_email', '1', 'Priorit des lettres de confirmation de rservation par mail lors de la validation d''une rservation:\n 0 : Lettre seule \n 1 : Mail,  dfaut lettre\n 2 : Mail ET lettre\n 3 : Aucune alerte', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreresa', 'priorite_email_manuel', '1', 'Priorit des lettres de confirmation de rservation par mail lors de l''impression  partir du bouton :\n 0 : Lettre seule \n 1 : Mail,  dfaut lettre\n 2 : Mail ET lettre\n 3 : Aucune alerte', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'blocage_abt', '1', 'Blocage du prt si le compte abonnement est dbiteur\n 0 : pas de blocage \n 1 : blocage avec forage possible  : blocage incontournable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'blocage_pret', '1', 'Blocage du prt si le compte prt est dbiteur\n 0 : pas de blocage \n 1 : blocage avec forage possible  : blocage incontournable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'blocage_amende', '1', 'Blocage du prt si le compte amende est dbiteur\n 0 : pas de blocage \n 1 : blocage avec forage possible  : blocage incontournable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'gestion_devise', '&euro;', 'Devise de la gestion financire, ce qui va tre affich en code HTML', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'book_pics_url', '', 'URL des vignettes des notices, dans le chemin fourni, !!isbn!! sera remplac par le code ISBN ou EAN de la notice purg de tous les tirets ou points. \n exemple : http://www.monsite/opac/images/vignettes/!!isbn!!.jpg', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'lien_moteur_recherche', '<a href=http://www.google.fr target=_blank>Faire une recherche avec Google</a>', 'Lien supplmentaire en bas de page d''accueil,  renseigner compltement : a href= lien /a', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'pret_express_statut', '2', 'Statut de notice  utiliser en cration d''exemplaires en prts express', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'notice_affichage_class', '', 'Nom de la classe d''affichage pour personnalisation de l''affichage des notices', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'confirm_retour', '0', 'En retour de documents, le retour doit-il tre confirm ? \n 0 : Non, on peut passer les codes-barres les uns aprs les autres \n 1 : Oui, il faut valider le retour aprs chaque code-barre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_meteo_url', '<img src="http://perso0.free.fr/cgi-bin/meteo.pl?dep=37" alt="" border="0" hspace=0>', 'URL de la mto affiche', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'limitation_dewey', '0', 'Nombre maximum de caractres dans la Dewey (676) en import : \n 0 aucune limitation \n 3 : limitation de 000  999 \n 5 (exemple) limitation 000.0 \n -1 : aucune importation', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'delai_1_2', '15', 'Dlai entre 1ere et 2eme relance', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'delai_2_3', '15', 'Dlai entre 2eme et 3eme relance', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'lecteurs_localises', '0', 'Lecteurs localiss ? \n 0: Non \n 1: Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'dsi', 'active', '1', 'D.S.I active ? \n 0: Non \n 1: Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'dsi', 'auto', '0', 'D.S.I automatique active ? \n 0: Non \n 1: Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'dsi', 'insc_categ', '0', 'Inscription automatique dans les bannettes de la catgorie du lecteur en cration ? \n 0: Non \n 1: Oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'allow_bannette_priv', '0', 'Possibilit pour les lecteurs de crer ou modifier leurs bannettes prives \n 0: Non \n 1: Oui', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'allow_resiliation', '0', 'Possibilit pour les lecteurs de rsilier leur abonnement aux bannettes pro \n 0: Non \n 1: Oui', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'show_categ_bannette', '0', 'Affichage des bannettes de la catgorie du lecteur et possibilit de s''y abonner \n 0: Non \n 1: Oui', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'url_base', './opac_css/', 'URL de base de l''opac : typiquement mettre l''url publique web http://monsite/opac/ ne pas oublier le / final', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'relance_1', '0.53', 'Frais de la premire lettre de relance', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'relance_2', '0.53', 'Frais de la deuxime lettre de relance', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'relance_3', '2.50', 'Frais de la troisime lettre de relance', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'finance', 'statut_perdu', '', 'Statut (d''exemplaire) perdu pour des ouvrages non rendus', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le courrier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le courrier de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2debut_expl_1er_page', '160', 'Dbut de la liste des exemplaires sur la premire page, en mm depuis le bord suprieur de la page. Doit tre rgl en fonction du texte qui prcde la liste des ouvrages, lequel peut tre plus ou moins long.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2debut_expl_page', '15', 'Dbut de la liste des exemplaires sur les pages suivantes, en mm depuis le bord suprieur de la page.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2fdp', 'Le responsable.', 'Signataire de la lettre.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2format_page', 'P', 'Format de la page : \r\n P : Portrait\r\n L : Landscape = paysage', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2hauteur_page', '297', 'Hauteur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2largeur_page', '210', 'Largeur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2limite_after_list', '270', 'Position limite en bas de page. Si un lment imprim tente de dpasser cette limite, il sera imprim sur la page suivante.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2madame_monsieur', 'Madame, Monsieur,', 'Entte de la lettre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2marge_page_droite', '10', 'Marge de droite en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2marge_page_gauche', '10', 'Marge de gauche en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2nb_1ere_page', '4', 'Nombre d''ouvrages en retard imprim sur la premire page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2nb_par_page', '7', 'Nombre d''ouvrages en retard imprim sur les pages suivantes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '2taille_bloc_expl', '16', 'Taille d''un bloc (2 lignes) d''ouvrage en retard. Le dbut de chaque ouvrage en retard sera espac de cette valeur sur la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le courrier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le courrier de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3debut_expl_1er_page', '160', 'Dbut de la liste des exemplaires sur la premire page, en mm depuis le bord suprieur de la page. Doit tre rgl en fonction du texte qui prcde la liste des ouvrages, lequel peut tre plus ou moins long.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3debut_expl_page', '15', 'Dbut de la liste des exemplaires sur les pages suivantes, en mm depuis le bord suprieur de la page.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3fdp', 'Le responsable.', 'Signataire de la lettre.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3format_page', 'P', 'Format de la page : \r\n P : Portrait\r\n L : Landscape = paysage', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3hauteur_page', '297', 'Hauteur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3largeur_page', '210', 'Largeur de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3limite_after_list', '270', 'Position limite en bas de page. Si un lment imprim tente de dpasser cette limite, il sera imprim sur la page suivante.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3madame_monsieur', 'Madame, Monsieur,', 'Entte de la lettre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3marge_page_droite', '10', 'Marge de droite en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3marge_page_gauche', '10', 'Marge de gauche en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3nb_1ere_page', '4', 'Nombre d''ouvrages en retard imprim sur la premire page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3nb_par_page', '7', 'Nombre d''ouvrages en retard imprim sur les pages suivantes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3taille_bloc_expl', '16', 'Taille d''un bloc (2 lignes) d''ouvrage en retard. Le dbut de chaque ouvrage en retard sera espac de cette valeur sur la page', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pdflettreretard', '3before_recouvrement', 'Sans nouvelles de votre part dans les sept jours, nous nous verrons contraints de dlguer au trsor public le recouvrement des ouvrages suivants :', 'Texte avant la liste des ouvrages en recouvrement', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'bannette_notices_order', ' index_serie, tnvol, index_sew ', 'Ordre d''affichage des notices dans les bannettes dans l''opac \n  index_serie, tnvol, index_sew : tri par titre de srie et titre \n rand()  : alatoire', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'bannette_notices_format', '8', 'Format d''affichage des notices dans les bannettes \n 1 : ISBD seul \n 2 : Public seul \n 4 : ISBD et Public \n 8 : Rduit (titre+auteurs) seul', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'bannette_notices_depliables', '1', 'Affichage dpliable des notices dans les bannettes \n 0 : Non \n 1 : Oui', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'bannette_nb_liste', '0', 'Nbre de notices par bannettes en affichage de la liste des bannettes \n 0 Toutes \n N : maxi N\n -1 : aucune', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'dsi_active', '0', 'DSI, bannettes accessibles par l''OPAC ? \n 0 : Non \n 1 : Oui', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '2after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '2before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '2fdp', 'Le responsable.', 'Signataire du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '2madame_monsieur', 'Madame, Monsieur', 'Entte du mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '2objet', '$biblio_name : documents en retard', 'Objet du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3after_list', 'Nous vous remercions de prendre rapidement contact par tlphone au $biblio_phone ou par mail  $biblio_email pour tudier la possibilit de prolonger ces prts ou de ramener les ouvrages concerns.', 'Texte apparaissant aprs la liste des ouvrages en retard dans le mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3before_list', 'Sauf erreur de notre part, vous avez toujours en votre possession le ou les ouvrage(s) suivant(s) dont la dure de prt est aujourd''hui dpasse :', 'Texte apparaissant avant la liste des ouvrages en retard dans le mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3fdp', 'Le responsable.', 'Signataire du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3madame_monsieur', 'Madame, Monsieur', 'Entte du mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3objet', '$biblio_name : documents en retard', 'Objet du mail de relance de retard', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', '3before_recouvrement', 'Sans nouvelles de votre part dans les sept jours, nous nous verrons contraints de dlguer au trsor public le recouvrement des ouvrages suivants :', 'Texte avant la liste des ouvrages en recouvrement', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'mailretard', 'priorite_email', '1', 'Priorit des lettres de retard lors des relances :\n 0 : Lettre seule \n 1 : Mail,  dfaut lettre\n 2 : Mail ET lettre', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'import_modele_lecteur', '', 'Modle d''import des lecteurs', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'blocage_retard', '0', 'Bloquer le prt d''une dure quivalente au retard ? 0=non, 1=oui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'blocage_delai', '7', 'Dlai  partir duquel le retard est pris en compte', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'blocage_max', '60', 'Nombre maximum de jours bloqus (0 = pas de limite)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'blocage_coef', '1', 'Coefficient de proportionnalit des jours de retard pour le blocage', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'blocage_retard_force', '1', '1 = Le prt peut-tre forc lors d''un blocage du compte, 2 = Pas de forage possible', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'etagere_order', ' name ', 'Tri des tagres dans l''cran d''accueil, \n name = par nom\n name DESC = par nom dcroissant', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'book_pics_show', '0', 'Affichage des couvertures de livres en gestion\n 1: oui  \n 0: non', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'book_pics_url', '', 'URL des vignettes des notices, dans le chemin fourni, !!isbn!! sera remplac par le code ISBN ou EAN de la notice purg de tous les tirets ou points. \r\n exemple : http://www.monsite/opac/images/vignettes/!!isbn!!.jpg', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'pmb', 'opac_url', './opac_css/', 'URL de l''OPAC vu depuis la partie gestion, par dfaut ./opac_css/', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0,  'opac', 'resa_popup', '1', 'Demande de connexion sous forme de popup ? :\n 0 : Non\n 1 : Oui', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_x', '100', 'Largeur de la vignette cre pour un exemplaire numrique image', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_y', '100', 'Hauteur de la vignette cre pour un exemplaire numrique image', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_imagemagick', '', 'Chemin de l''excutable ImageMagick (/usr/bin/imagemagick par exemple)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_rss_browser', '0', 'Affichage des flux RSS du catalogue en page d''accueil OPAC 1: oui  ou 0: non', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'mail_methode', 'php', 'Mthode d''envoi des mails : \n php : fonction mail() de php\n smtp,hote:port,auth,user,pass : en smtp, mettre O ou 1 pour l''authentification...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'mail_methode', 'php', 'Mthode d''envoi des mails dans l''opac : \n php : fonction mail() de php\n smtp,hote:port,auth,user,pass : en smtp, mettre O ou 1 pour l''authentification...', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_show_typdoc', '1', 'Affichage de la restriction par type de document pour les recherches en page d''accueil', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'verif_on_line', '0', 'Dans le menu Administration > Outils > Maj Base : vrification d''une version plus rcente de PMB en ligne ? \r\n0 : non : si vous n''tes pas connect  internet \r\n 1 : Oui : si vous avez une connexion  internet', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_languages', '1 fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'Afficher la liste droulante de slection de la langue ? \r\n 0 : Non \r\n 1 : Oui \r\nFaire suivre d''un espace et des codes des langues possibles spares par des virgules : fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_font', 'Helvetica', 'Police de caractres  chasse variable pour les ditions en pdf - Police Arial', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_fontfixed', 'Courier', 'Police de caractres  chasse fixe pour les ditions en pdf - Police Courier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'debug', '0', 'Debugage (export fichier) des notices lues en Z3950 \r\n 0: Non \r\n 1: 0ui', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastnotices', '10', 'Nombre de dernires notices affiches en Catalogue - Dernires notices', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_dernieresnotices_nb', '10', 'Nombre de dernires notices affiches en Catalogue - Dernires notices', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'recouvrement_auto', '0', 'Par dfaut passage en recouvrement propos en gestion des relances si niveau=3 et devrait tre en 4: \r\n 1: Oui, recouvrement propos par dfaut \r\n 0: Ne rien faire par dfaut', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'keyword_sep', ' ', 'Sparateur des mots cls dans la partie indexation libre, espace ou ; ou , ou ...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'mode_pmb', '0', 'Niveau d''utilisation des thsaurus.\n 0 : Un seul thsaurus par dfaut.\n 1 : Choix du thsaurus possible.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'defaut', '1', 'Identifiant du thsaurus par dfaut.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'liste_trad', 'fr_FR', 'Liste des langues affiches dans les thsaurus.\n(ex : fr_FR,en_UK,...,ar)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'thesaurus', '0', 'Niveau d''utilisation des thsaurus.\n 0 : Un seul thsaurus par dfaut.\n 1 : Choix du thsaurus possible.', 'm_thesaurus', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'active', '0', 'Module acquisitions activ.\n 0 : Non.\n 1 : Oui.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'gestion_tva', '0', 'Gestion de la TVA.\n 0 : Non.\n 1 : Oui.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'poids_sugg', 'U=1.00,E=0.70,V=0.00', 'Pondration des suggestions par dfaut en pourcentage.\n U=Utilisateurs, E=Emprunteurs, V=Visiteurs.\n ex : U=1.00,E=0.70,V=0.00 \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'format', '8,CA,DD,BL,FA', 'Taille du Numro et Prfixes des actes d''achats.\nex : 8,CA,DD,BL,FA \n8 = Prfixe + 8 Chiffres\nCA=Commande Achat, DD=Demande de Devis,BL=Bon de Livraison, FA=Facture Achat \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'categ_in_line', '0', 'Affichage des catgories en ligne.\n 0 : Non.\n 1 : Oui.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_in_line', '0', 'Affichage des catgories en ligne.\r\n 0 : Non.\r\n 1 : Oui.', 'i_categories', 0);

-- 
-- Contenu de la table `users`
-- 

INSERT INTO users (userid, create_dt, last_updated_dt, username, pwd, nom, prenom, rights, user_lang, nb_per_page_search, nb_per_page_select, nb_per_page_gestion, param_popup_ticket, param_sounds, param_licence, deflt_notice_statut, deflt_docs_type, deflt_lenders, deflt_styles, deflt_docs_statut, deflt_docs_codestat, value_deflt_lang, value_deflt_fonction, deflt_docs_location, deflt_docs_section, value_deflt_module, user_email, user_alert_resamail, deflt2docs_location, deflt_thesaurus, value_prefix_cote, xmlta_doctype) VALUES (1, '2002-07-28', '2005-08-10', 'admin', password('admin'), 'Super User', '', 255, 'en_UK', 20, 10, 20, 0, 1, 0, 1, 1, 2, 'couleurs_onglets', 1, 12, 'fre', '070', 1, 10, 'admin', 'pmb@sigb.net', 1, 1, 1, '', 'a');

-- 
-- Contenu de la table `notice_statut`
-- 

INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (1, 'Sans statut particulier', '', 1, 1, 1, 'statutnot1', 0, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (2, 'Prt express', '', 0, 1, 1, 'statutnot2', 1, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (3, 'En commande', 'command', 1, 1, 1, 'statutnot4', 0, 0, 1, 0);

-- Le strict minimum pour dmarrer sans thsaurus et en pouvant en crer un. Ces lignes sont supprimes si on installe un thsaurus  l'installation.
-- 
-- Contenu de la table `thesaurus`
-- 
INSERT INTO thesaurus (id_thesaurus, libelle_thesaurus, langue_defaut, active, opac_active, num_noeud_racine) VALUES (1, 'Thesaurus n1', 'fr_FR', '1', '1', 1);
-- 
-- Contenu de la table `noeuds`
-- 
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (1, 'TOP', 0, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (2, 'NONCLASSES', 1, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (3, 'ORPHELINS', 1, 0, '0', 1);
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (2, 'fr_FR', '~termes non classs', '', '', '', ' termes non classes ');
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (3, 'fr_FR', '~termes orphelins', '', '', '', ' termes orphelins ');
