-- +-------------------------------------------------+
--  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
-- +-------------------------------------------------+
-- $Id: minimum.sql,v 1.13 2006-12-05 20:17:36 rlopez Exp $

-- 
-- Contenido de la tabla `classements`
-- 

INSERT INTO classements (id_classement, type_classement, nom_classement) VALUES (1, '', '_NON CLASSE_');

-- 
-- Contenido de la tabla `origine_notice`
-- 

INSERT INTO origine_notice (orinot_id, orinot_nom, orinot_pays, orinot_diffusion) VALUES (1, 'Catalogacin interna', 'ES', 1);
INSERT INTO origine_notice (orinot_id, orinot_nom, orinot_pays, orinot_diffusion) VALUES (2, 'BnF', 'ES', 1);

-- 
-- Contenido de la tabla `parametres`
-- 

INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'bdd_version', 'v4.23', 'Versin de ltima de la base de datos, no cambiar excepto por una vesrin si un parmetro no se ha actualizado bien y volver a realizar la actualizacin. En general, contacta antes con la lista de correo pmb.user@sigb.net', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'accessible', '1', ' Z3950 accesible ?\r\n 0 : no, menu inaccesible\r\n 1 : S, la librera PHP_YAZ est activada, la bsqueda z3950 es posible', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastautorities', '10', 'Nmero de las ltimas autoridades a mostrar en la gestin de autoridades', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1before_list', 'Salvo error de nuestra parte, an ests en posesin del o los documento(s) siguiente(s) cuyo prstamo ya ha finalizado :', 'Texto que aparecer antes de la lista de documentos retrasados en la carta de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1after_list', 'Te agradeceramos que te pusieras en contacto con nosotros por telfono al $biblio_phone o por correo electrnico al $biblio_email para mirar la posibilidad de renovar estos prstamos o de devolver los documentos.', 'Texto que aparece despus de la lista de documentos retrasados en la carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1fdp', 'El responsable.', 'Signatario de la carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1madame_monsieur', 'Estimado usuario/usuaria,', 'Encabezamiento de la carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_par_page', '7', 'Nmero de documentos con retraso impresos en las pginas siguientes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1nb_1ere_page', '4', 'Nmero de obras en retraso impresos en la primera pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1taille_bloc_expl', '16', 'Tamao de un bloque (2 lneas) entre las obras obras con retraso. El inicio de cada obra en retraso se espaciar con este valor en la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_1er_page', '160', 'Inicio de la lista de los ejemplares en la primera pgina, en mm despus del borde superior de la pgina. Debe estar regulado en funcin del texto que precede a la lista de las obras, la cual puede ser ms o menos larga.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1debut_expl_page', '15', 'Inicio de la lista de los ejemplares en las pginas siguientes, en mm despus del borde superior de la pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1limite_after_list', '270', 'Posicin mxima en la parte inferior de la pgina. Si un elemento impreso tiende a sobrepasar este lmite, ser impreso en la pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_gauche', '10', 'Mrgen de la izquierda en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1marge_page_droite', '10', 'Mrgen de la derecha en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1largeur_page', '210', 'Largo de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1hauteur_page', '297', 'Alto de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '1format_page', 'P', 'Formato de la pgina : \r\n P : Portrait = Horizontal\r\n L : Landscape = apaisado', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_h', '20', 'Posicin horizontal en mm a partir del borde izquierdo de la la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'pos_v', '20', 'Posicin vertical en mm a partir del borde superior de la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'biblio_name', '$biblio_name', 'Nombre de la biblioteca o centro de recursos imprimido en el carn de usuario. Poner $biblio_name para retomar el nombre especficadi en la localizacin del ejemplar o bien poner otra cosa.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'largeur_nom', '80', 'Largo acorde con la impresin del nombre del usuario en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valabledu', 'Vlido del', '''Vlido del'' en "VLIDO DEL  ##/##/#### al ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'valableau', 'al', '''al'' en "vlido del ##/##/#### AL ##/##/####"', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdfcartelecteur', 'carteno', 'Nm. carn :', 'Texto que precede al nmero de carn', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt1', '9b4a840d790eadc71b9064c9a843719b', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'sauvegarde', 'cle_crypt2', '51580d4fd5f1ad2d981c91ddb04095ec', '', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_dispo', '1', ' La reserva de documentos est disponible ?\r\n 0 : No\r\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1objet', '$biblio_name : documentos no devueltos', 'Asunto del correo electrnico de reclamacin por retraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1before_list', 'Salvo error por nuestra parte, ests an en posesin del o los siguiente(s) documento(s) el prstamos de los cuales ya ha pasado :', 'Texto que aparece en la lista de documentos en retraso del correo electrnico de retraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1after_list', 'Te agradeceramos que te pusieras en contacto con nosotros lo ms pronto posible por telfono al $biblio_phone o por correo electrnico al $biblio_email para estudiar la posibilidad de renovar los prstamos o de devolver los documentos.', 'Texto que aparecer antes de la lista de documentos en retraso en el correo electrnico', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1madame_monsieur', 'Estimado usuario, usuaria', 'Encabezamiento del correo', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '1fdp', 'El responsable.', 'Signatario del correo electrnico de retraso', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'serial_link_article', '0', ' Incluir en los artculos el enlace a la revista de la cual proceden al catalogar las publicaiones peridicas ?\r\n 0 : No\r\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'num_carte_auto', '1', ' Nmero de carn automtico ? \r\n 1 : S\r\n 0 : No (si usas carn ya impresos)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_title', '2', 'Bsqueda simple por ttulo:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y seleccionada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_author', '2', 'Bsqueda simple por autor:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y seleccionada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_publisher', '1', 'Bsqueda simple por editorial:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_collection', '1', 'Bsqueda simple por coleccin:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_subcollection', '1', 'Bsqueda simple por subcoleccin:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_category', '1', 'Bsqueda simple por categora:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_keywords', '1', 'Bsqueda simple por indexacin libre (palabras clave):\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_abstract', '1', 'Bsqueda simple por el campo resumen:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_content', '0', 'Bsqueda simple por las notas de contenido:\r\n 0 : No\r\n 1 : S\r\n 2 : autorizada y validada por defecto\r\nNO USADO DE MOMENTO', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_path_sep', '>', 'Separador para las categoras', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_columns', '3', 'Nmero de columnas del sumario general de las categoras', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_rec_per_page', '6', 'Nmero de registros mostrados por pgina en la exploracin de las categoras', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_sort_records', 'index_serie, tnvol, index_sew', 'Explorador de categoras : modo de seleccin de los registros :\r\n index_serie, tnvol, index_sew > por ttulo de serie, nmero en la serie y ndice de ttulos\r\n rand() : aleatorio', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_first_level', '4', 'Nmero de resultados mostrados en la primera pgina', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_results_per_page', '10', 'Nmero de resultados mostrados en las pginas siguientes', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_rec_per_page', '1', 'Nmero de autores mostrados por pgina', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_display', '3', 'Nmero de subcategoras en la primera pgina', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_sub_mode', 'libelle_categorie', 'Modo de visualizacin de las subcategoras : \r\n rand() > aleatorio\r\n libelle_categorie > orden alfabtico', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'authors_aut_sort_records', 'index_serie, tnvol, index_sew', 'Modo de visualizacin de los autores : seleccin de registros', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_lang', 'fr_FR', 'Lengua del opac : es_ES, fr_FR o en_US o ar', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_categ_browser', '1', 'Mostrar las categoras en la pgina de inicio del OPAC 1: s  ou 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_book_pics', '1', 'Mostrar las imgines de los libros en la ficha del documento :\r\n 0 : No\r\n 1 : S', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa', '1', ' Se puede reservar des del OPAC ? 1: S  ou 0: no', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_dispo', '1', 'Se puede reservar un documento disponible por el OPAC \r\n 1: s \r\n 0: no', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_meteo', '0', 'Mostrar el tiempo en el OPAC 1: s o 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'duration_session_auth', '1200', 'Duracin de la sescin del usuario en el OPAC en segundos', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'relance_adhesion', '31', 'Nmero de das antes de la expiracin del carn para iniciar la renovacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pret_adhesion_depassee', '1', ' Se puede prestar si el carn est caducado ? : 0 NO, 1 POSIBLE', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'fdp', 'El responsable.', 'Frmula de cortesa en la parte inferior de la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'madame_monsieur', 'Estimado usuario/a,', 'Cortersa del destinatario', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'texte', 'Tu abono finalizar el !!date_fin_adhesion!!. Te agradeceremos que pienses en renovarlo en tu prxima visita.\r\n\r\nAtentamente.\r\n\r\n\r\n', 'Frase de introduccin de la finalizacin del abono', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_gauche', '10', 'Mrgen izquierdo de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'marge_page_droite', '10', 'Mrgen derecho de la page en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'largeur_page', '210', 'Largo de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'hauteur_page', '297', 'Alto de la pgina mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreadhesion', 'format_page', 'P', 'P para Vertical, L para apaisado (Horizontal)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'objet', '$biblio_name : tu abono', 'Asunto de la carta de renovacin del carn. Utiliza biblio_name para retomar el nombre includo en la localizacin de los ejemplares.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'texte', 'Tu abono finalizar el prximo !!date_fin_adhesion!!. Te agradaceremos pienses en renovarlo en tu prxima visita.\r\n\r\nAtentamente,\r\n\r\n', 'Texto de la renovacin, !!date_fin_adhesion!! ser reemplazado por la fecha de final del abono del usuario', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'madame_monsieur', 'Estimado usuario/a,', 'Encabezamiento de la carta de renovacin del abono', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailrelanceadhesion', 'fdp', 'El responsable.', 'Frmula de cortesa en la parte inferior de la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_marguerite_browser', '0', '0 o 1 : margarita de las categoras', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_100cases_browser', '0', '0 o 1 : visualizacin de las 100 categoras', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'indexint_decimal', '1', '0 o 1 : la clasificacin interna es decimal tipo Dewey', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_indexint', '1', 'Bsqueda simple por la clasificacin:\r\n 0 : no\r\n 1 : s\r\n 2 : autorizada y seleccionada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'empr', 'birthdate_optional', '1', 'Ao de nacimiento opcional : \r\n 0 > no: es obligatorio\r\n 1 s', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'show_empty_categ', '1', ' Mostrar las categoras que no contienen ningn registro? \r\n0=no, 1=s', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'term_search_n_per_page', '50', 'Nmero de descriptores mostrados por pgina en una bsqueda por descriptores en las categoras', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_loginform', '1', 'Mostrar la opcin a los usuarios de conectarse en el OPAC \r\n 0 > no\r\n 1 s', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_style', 'bueil', 'Estilo grfico del OPAC, 1 estilo por defecto, nomargin : sin ver la columna de la izquierda', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_exemplaires', '1', ' Mostrar los ejemplares en el OPAC ?\n 1 S,\n 0 : No', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_modele', 'func_bdp.inc.php', ' Qu script de funciones de importacin se usa para personalizar la importacin ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'quotas_avances', '0', 'Opciones de prstamo avanzado ? \r\n 0 : No\r\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logo', 'logo_default.jpg', 'Nombre del archivo de la imagen del logo', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'logosmall', 'images/site/livre.png', 'Nombre del archivo con la imagen pequea del logo', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_bandeaugauche', '1', ' Mostrar el men lateral de la izquierda ? \n 0 : No\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_liensbas', '1', ' Mostrar los enlaces(pmb, google, bibli) en la parte inferior de la pgina ? \n 0 : No\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_homeontop', '0', ' Mostrar el enlace INICIO (volver al inicio) bajo el nombre de la biblioteca o del centro de recursos (necesario en caso de no haber el men lateral izquierdo) ? \r\n 0 : No\r\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'resa_quota_pret_depasse', '1', ' Es posible la reserva si hay algn prstamo en retraso ? \n 0 : No\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_read_file', '100', 'Lmite del tamao de lectura de un archivo a importar, en general con 100 o 200 debe funcionar, si hay problemas de time out : bajar el tamao, 50 por ejemplo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_limit_record_load', '100', 'Lmite del tamao de procesar registros al importar, en general 100 o 200 debe funcionar, si hay problemas de time out : bajar el tamao, 50 por ejemplo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p1', 'La biblioteca de prueba de PMB os propone 60 registros para probar la aplicacin. Esta pantalla os presenta las numerosas posibilidades de bsqueda y de navegacin, que pueden ser ampliamente parametrizadas.', 'Prrafo 1 con informacin (por ejemplo, descripcin del fondo)', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_preamble_p2', 'PMB Services est a vuestra disposicin para ayudaros a parametrizar o adaptar vuestro PMB.', 'Prrafo 2 de informacin: inicio usuarios.', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p1', '', 'Prrafo 1 de resumen, se muestra a travs de la hoja de estilo, ver id quickSummary.p1', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_quicksummary_p2', '', 'Prrafo 2 de resumen, se muestra a travs de la hoja de estilo, ver id quickSummary.p2', 'z_unused', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_dernieresnotices', '0', ' Mostrar las ltimas noticias creadas en la parte inferior de la pgina ? \n 0 : No\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_etageresaccueil', '1', ' Mostrar las estanteras virtuales en la parte inferior de la pgina de inicio ? \n 0 : No\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_important_p1', '', 'Infos importantes 1, en la hoja de estilo, ver id important.p1', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_important_p2', '', 'Infos importantes, en la hoja de estilo, ver id important.p2', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_name', 'Biblioteca PMB Services', 'Nombre de la biblioteca o centro de recursos a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_website', 'www.sigb.net', 'Pgina web de la biblioteca o centro de recursos a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_adr1', '24 & 26, place des Halles', 'Direccin 1 de la biblioteca o centro de recursos a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_town', 'CHATEAU DU LOIR', 'Poblacin a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_cp', '72500', 'Cdigo postal a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_country', 'France', 'Pas a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_phone', '02 43 440 660', 'Telfono a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_dep', '37', 'Departamento en el opac para mostrar el tiempo', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'biblio_email', 'pmb@sigb.net', 'Correo electrnico de contacto a mostrar en el opac', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_order', 'index_serie, tnvol, index_sew', 'rden de visualizacin de los registros en las estanteras en el opac \n  index_serie, tit1 : por ttulo de serie y ttulo \n rand()  : aleatorio', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_format', '4', 'Formato de visualizacin de los registros en las estanteras en la pantalla de iniciol \r\n 1 : ISBD solamente \r\n 2 : Pblico solamente \r\n 4 : ISBD y Pblico \r\n 8 : Reducido (ttulo+autores) solamente', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_notices_depliables', '1', 'Mostrar los registros ampliables en las estanteras de la pgina de inicio \r\n 0 : No \r\n 1 : S', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_nbnotices_accueil', '5', 'Nmero de registros mostrados en las categoras de la pantalla de inicio \r\n 0 : Todos \r\n -1 : Ninguno \r\n x : x registros mostrados como mximo', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_aut_rec_per_page', '15', 'Nmero de regitros mostrados para una autoridad', 'd_aff_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notices_format', '4', 'Formato de visualizacin de los registros en las estanteras de la pantalla de incio \n 1 : ISBD solamente \n 2 : Pblico solamente \n 4 : ISBD y Pblico \n 5 : ISBD y Pblico con ISBD en primer lugar \n 8 : Reducido (ttulo+autores) seul', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notices_depliable', '1', 'Mostrar la ampliacin de los registros en los resultados de una bsqueda 0 : No  1 : S', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'term_search_n_per_page', '50', 'Nmero de trminos mostrados por pgina en la bsqueda por trmino', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_empty_categ', '1', 'Al buscar por trmino,  mostrar las categoras que no contienen ningn registro ?:\r\n 0 : No \r\n 1 : S', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_extended_search', '1', 'Se autoriza o no la bsqueda avanzanda en el opac \n 0 : No \n 1 : S', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_term_search', '1', 'Se autoriza o no la bsqueda por trminos en el opac\n 0 : No \n 1 : S', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'term_search_height', '350', 'Altura en pxels del marco de bsqueda por trminos (si no se indica o est vaco : por defecto 200 pxels)', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_nb_col_subcat', '3', 'Nmero de columnas de subcategoras al navegar en las categaroras \n 3 por defecto', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'max_resa', '5', 'Nmero mximo de reservas sobre un documento \r\n 5 por defecto \r\n 0 para ilimitadas', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'show_help', '1', 'Mostrar la ayuda contextual de PMB en la parte de gestin \r\n 1 S \r\n 0 No', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_help', '1', 'Mostrar la ayuda en lnea en el OPAC de PMB  \n 1 S \n 0 No', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'cart_allow', '1', 'Cestas disponibles en el OPAC de PMB  \n 1 S \n 0 No', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'max_cart_items', '200', 'Nmero mximo de registros en una cesta de administradores.', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_section_browser', '1', ' Mostrar los enlaces de localizaciones y secciones ?\n 0 : No\n 1 : S', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_localisations_per_line', '6', 'Nmero de localizaciones mostradas por lnea en la pgina de inicio (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'nb_sections_per_line', '6', 'Nmero de secciones mostradas por lnea al visualizar la localizacin (si show_section_browser=1)', 'k_section', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'cart_only_for_subscriber', '1', 'Cestas de registros reservadas a los usuario o miembros de la biblioteca o el centro de recursos ?\r\n 1: S\r\n 0: No, autorizadas para todos los internauras', 'h_cart', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notice_reduit_format', '0', 'Formato de visualizacin reducido de los registros :\r\n 0 normal = ttulo+autores principales\r\n P 1,2,3: Perso. : tit+aut+campos persos id 1 2 3\r\n E 1,2,3: Perso. : tit+aut+edit+campos persos id 1 2 3 \r\n T : tit1+tit4', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'before_list', 'Debido a tu peticin de reserva, te informamos que la o las obras aqu mencionadas estn ya a tu disposicin en la biblioteca.', 'Texto que aparece antes de la lista de obras reservadas en la carta de confirmacin de reservas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'after_list', 'Pasado el perodo de reserva, las obras sern puestas otra vez en circulacin, as que te recomendamos que vengas a buscarlas lo antes posible.', 'Texto que aparece despus de las lista de obras', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'fdp', 'El responsable.', 'Firma de la carta, usar $biblio_name para incluir el parmetro "biblio name" o bien introduce otra cosa.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'madame_monsieur', 'Estimado usuario/a,', 'Encabezamiento de la carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'nb_par_page', '7', 'Nmero de documento en retraso impresos en las pginas siguientes.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'nb_1ere_page', '4', 'Nmero de documentos en retraso impresos en la primera pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'taille_bloc_expl', '16', 'Tamao de un bloque (2 lneas) de obras en reserva. El incio de cada obra reservada ser espaciada con este valor en la pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'debut_expl_1er_page', '160', 'Inicio de la lista de obras en la primera pgina, en mm a contar des del borde superior de la pgina. Debe estar regulado en funcin del texto que precede a la lista de obras, que puede ser ms o menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'debut_expl_page', '15', 'Inicio de la lista de obras en las pginas siguientes, en mm a contar des del borde superior de la pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'limite_after_list', '270', 'Posicin lmite en la parte inferior de la pgina. Si un elemento impreso sobrepasa este lmite, se imprimir en la pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'marge_page_gauche', '10', 'Mrgen izquierdo en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'marge_page_droite', '10', 'Mrgen derecho en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'largeur_page', '210', 'Ancho de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'hauteur_page', '297', 'Alto de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'format_page', 'P', 'Formato de la pgina : \r\n P : Vertical\r\n L : Landscape = apaisado', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_max_display', '200', 'Para la pgina de incio, nmero mximo de categoras principales mostradas', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_other_function', '', 'Funcin complementaria para las bsquedas en la pgina de inicio', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'lien_bas_supplementaire', '<a href=''http://www.sigb.net.com/poomble.php'' target=_blank>Enlace hacia otro sitio</a>', 'Enlace suplementario en la parte inferior de la pgina de incio, a introducir completa : a href= lien /a', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'import_modele', 'func_other.inc.php', 'Qu script de funciones de importacin hay que usar para personalizar la importacin en la integracin z3950 ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'server', 'chinon', 'Servidor LDAP, IP o host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'basedn', '', 'Raz del nombre de dominio LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'port', '389', 'Puerto del servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'filter', '(&(objectclass=person)(gidnumber=GID))', 'Servidor LDAP, IP o host', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'fields', 'uid,gecos,departmentnumber', 'Campos del servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'lang', 'es_ES', 'Llengua del servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'groups', '', 'Grupos del servidor LDAP', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'accessible', '0', ' LDAP acesible ?', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_show_only_last', '0', 'En la ficha de un registro : \n 0 mostrar todo \n 1 : mostrar nicamente la ltima hoja del rbol de categoras', 'i_categories', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'show_only_last', '0', 'En la fiche de un registro : \n 0 mostrar todo \n 1 : mostrar nicamente la ltima hoja del rbol de la categora', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'prefill_cote', 'custom_cote_02.inc.php', 'Script personalizado de construccin de la signatura del ejemplar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'proto', '3', 'Versin del protocolo LDAP : 3  2', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'ldap', 'binddn', 'uid=UID,ou=People', 'Descripcin de la conexin : construccin de la cadena binddn para enlazar la autentificacin al servidor LDAP en el OPAC', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'empr', 'corresp_import', '', 'Tabla de correspondencias columnas/campos en la importacin de usuarios a partir de un archivo ASCII', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'type_audit', '0', 'Gestin/visualizacin de las fechas de creacin/modificacin \n 0: Ninguna\n 1: Creacin y ltima modificacin\n 2: Creacin y todas las fechas de modificacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_abonnement', '0', ' Usar la gestin de los abonos de los usuarios ? \n 0 : No\n 1 : S, gestin simple, \n 2 : S, gestin avanzada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'utiliser_calendrier', '0', ' Usar el calendario de los das de apertura ? \n 0 : No\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_financiere', '0', ' Usar el mdulo de gestin financiera ? \n 0 : No\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_tarif_prets', '0', ' Usar la gestin de tarifas de prstamos ? \n 0 : No\n 1 : S, gestin simple, \n 2 : S, gestin avanzada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_amende', '0', ' Usar la gestin de las multas :\n 0 = No\n 1 = Gestin simple\n 2 = Gestin avanzada', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'amende_jour', '0.15', 'Multa por da de retraso para todo tipo de documentos. Atencin, el separador decimal es el punto, no la coma', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_avant_amende', '15', 'Plazo antes de cobrar la multa, en das', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_recouvrement', '7', 'Plazo entre la 3 reclamacin y la actualizacin de cobro oficial de la multa, en das', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'amende_maximum', '0', 'Multa mxima, cualquiera que sea el retraso, la multa se limita a este importe. 0 para desactivar esta opcin.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'priorite_email', '1', 'Prioridad de las cartas de confirmacin de reserva por mail despus de la validacin de una reserva :\n 0 : Carta sola\n 1 : Correo electrnico, en su defecto carta\n 2 : Mail Y carta\n 3 : Ninguna alerta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreresa', 'priorite_email_manuel', '1', 'Prioridades de las cartas de confirmacin de reserva por mail luego de su impresin despus de imprimir a partir del botn:\n 0 : Carta sola\n 1 : Correo electrnico, en su defecto carta\n 2 : Mail Y carta\n 3 : Ninguna alerta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_abt', '1', 'Bloqueo del prstamo si la cuent del abono tienes deudas\n 0 : sin bloqueo\n 1 : bloqueo con opcin a forzar . : bloqueo inevitable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_pret', '1', 'Bloqueo del prstamo si la cuenta de prstamos tienes deudas\n 0 : sin bloqueo \n 1 : bloqueo con opcin a forzar . : bloqueo inevitable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'blocage_amende', '1', 'Bloqueo del prstamo si la cuenta de multas tienes deudas\n 0 : sin bloqueo \n 1 : bloqueo con opcin a forzar . : bloqueo inevitable.', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'gestion_devise', '&euro;', 'Divisa de la gestin financiera, la que se visualizar en cdigo HTML', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'book_pics_url', '', 'URL de las imgenes de los registros, en la direccin proporcionada, !!isbn!! se reemplazar por el cdigo ISBN o EAN del registro sin ningn guin o punto. \n ejemplo : http://www.monsite/opac/images/vignettes/!!isbn!!.jpg', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'lien_moteur_recherche', '<a href=http://www.google.es target=_blank>Buscar en Google</a>', 'Enlace suplementario en la pgina de inicio, a introducir completo : a href= enlace', 'b_aff_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pret_express_statut', '2', 'Estado del registro al crear un ejemplar en prstamo rpido', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'notice_affichage_class', '', 'Nombre de la clase para la personalizacin de la visualizacin de registros', 'e_aff_notice', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'confirm_retour', '0', 'Al devolver documentos,  el retorno debe confirmarse ? \n 0 : No, se pueden pasar los cdigos de barras unos detrs de otros \n 1 : S, es necesario validar la devolucin despus de cada cdigo de barras', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_meteo_url', '<img src="http://perso0.free.fr/cgi-bin/meteo.pl?dep=72" alt="" border="0" hspace=0>', 'URL del tiempo a mostrar', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'limitation_dewey', '0', 'Nmero mximo de caracteres en la Dewey (676) al importar : \n 0 ninguna limitacin \n 3 : limitacin de 000 a 999 \n 5 (ejemplo) limitacin 000.0 \n -1 : no importar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_1_2', '15', 'Plazo entre la 1 y la 2 reclamacin', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'delai_2_3', '15', 'Plazo entre la 2 y la 3 reclamacin', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'lecteurs_localises', '0', ' Usuarios localizados ? \n 0: No \n 1: S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'active', '1', ' D.S.I activada ? \n 0: No \n 1: S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'auto', '0', ' D.S.I automtica activada ? \n 0: No \n 1: S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'dsi', 'insc_categ', '0', ' Subscripcin automtica a las cestas de la categora del usuario al crearlo ? \n 0: No \n 1: S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_bannette_priv', '0', 'Posibilidad para los usuarios de crear o modificar sus cestas privadas \n 0: No \n 1: S', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_resiliation', '0', 'Posibilidad para los usuarios de cancelar su subscripcin a las ccestas pro \n 0: No \n 1: S', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_categ_bannette', '0', 'Mostrar las cestas de la categoras del usuario y su disponibilidad para subscribirse \n 0: No \n 1: S', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'url_base', './', 'URL del opac : normalmente poner la url pblca del web http://mipagina/opac/ no olvidarse el / final', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_1', '0.53', 'Coste por la primera carta de reclamacin', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_2', '0.53', 'Coste por la segunda carta de reclamacin', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'relance_3', '2.50', 'Coste por la tercera carta de reclamacin', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'finance', 'statut_perdu', '', 'Estado (de ejemplar) perdido para las obras no devueltas', '', 1);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2after_list', 'Le agradecerasmos se pusiera en contacto con nosotros por telefono al $biblio_phone o por correo electrnico a $biblio_email para estudiar la posibilidad de renovar estos prstamos o de devolver los documentos.', 'Texto que aparece despus de la lista de documentos en retraso en la carta de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2before_list', 'Salvo error por nuestra parte, usted an tiene el o los siguientes libros, la duracin de los prstamos ya ha finalizado :', 'Texto que aparece antes de la lista de documentos en retraso en la carta de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2debut_expl_1er_page', '160', 'Inicio de la lista de ejemplares en la primera pgina, en mm a partir del mrgen superior de la pgina. Debe estar regulado en funcin del texto que precede a la lista de obras, que puede ser ms o menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2debut_expl_page', '15', 'Inicio de la lista de los ejemplares en las pgina siguiente, en mm a partir del mrgen superior de la pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2fdp', 'El responsable.', 'Firma de la carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2format_page', 'P', 'Formato de la pgina : \r\n P : Vertical\r\n L : Horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2hauteur_page', '297', 'Alto de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2largeur_page', '210', 'Largo de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2limite_after_list', '270', 'Posicin lmite en la parte inferior de la pgina. Si un elemento impreso tiende a pasar este lmite, se imprimir en la pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2madame_monsieur', 'Estimado/a usuario/a,', 'Encabezamiento de la carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2marge_page_droite', '10', 'Mrgen derecho en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2marge_page_gauche', '10', 'Mrgen izquierdo en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2nb_1ere_page', '4', 'Nmero de obras en retraso impresas en la primera pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2nb_par_page', '7', 'Nmero de obras en retraso impresas en las pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '2taille_bloc_expl', '16', 'Tamao de bloque (2 lneas) de obra en retraso. El inicio de cada obra en retraso ser espaciado este valor', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3after_list', 'Le agradeceramos que se pusiera rpidamente en contacto con nosotros por telfono al $biblio_phone o por correo electrnico al $biblio_email para estudiar la posibilidad de renovar estos prstamos o de devolver los documentos.', 'Texto que aparece despus de la lista de obras en retraso en la carta de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3before_list', ''Salvo error por nuestra parte, usted an tiene el o los siguientes libros, la duracin de los prstamos ya ha finalizado :', 'Texto que aparece antes de la lista de documentos en retraso en la carta de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3debut_expl_1er_page', '160', 'Inicio de la lista de ejemplares en la primera pgina, en mm a partir del mrgen superior de la pgina. Debe estar regulado en funcin del texto que precede a la lista de obras, que puede ser ms o menos largo.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3debut_expl_page', '15', 'nicio de la lista de los ejemplares en las pgina siguiente, en mm a partir del mrgen superior de la pgina.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3fdp', 'El responsable.', 'Firma de la carta.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3format_page', 'P', 'Formato de la pgina : \r\n P : Vertical\r\n L : Horizontal', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3hauteur_page', '297', 'Alto de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3largeur_page', '210', 'Largo de la pgina en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3limite_after_list', '270', 'Posicin lmite en la parte inferior de la pgina. Si un elemento impreso tiende a pasar este lmite, se imprimir en la pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3madame_monsieur', 'Estimado/a usuario/a,', 'Encabezamiento de la carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3marge_page_droite', '10', 'Mrgen derecho en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3marge_page_gauche', '10', 'Mrgen izquierdo en mm', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3nb_1ere_page', '4', 'Nmero de obras en retraso impresas en la primera pgina', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3nb_par_page', '7', 'Nmero de obras en retraso impresas en las pgina siguiente.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3taille_bloc_expl', '16', 'Tamao de bloque (2 lneas) de obra en retraso. El inicio de cada obra en retraso ser espaciado este valor', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pdflettreretard', '3before_recouvrement', 'De no obtener noticias suyas en los prximos 7 das, nos veremos en la obligacin de delegar a las autoridades el cobro de las obras siguiente :', 'Texto anterior a la lista de obras reclamadas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_order', ' index_serie, tnvol, index_sew ', 'rden de los registros en las cestas en el opac \n  index_serie, tnvol, index_sew : rdenadas por ttulo de serie y por ttulo\n rand()  : aletorio', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_format', '8', 'Formato de visualizacin de los registros en las cestas \n 1 : solo ISBD \n 2 : Pblico solo \n 4 : ISBD y Pblico \n 8 : Reducido (ttulo+autores) solo', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_notices_depliables', '1', 'Mostrar ampliacin de los registros en las cestas \n 0 : No \n 1 : S', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'bannette_nb_liste', '0', 'Nmero de registros por cesta en la lista de cestas \n 0 Todos \n N : maxi N\n -1 : ninguno', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'dsi_active', '0', 'DSI, cestas accesibles des del OPAC ? \n 0 : No \n 1 : S', 'l_dsi', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2after_list', 'Le agradeceramos que se pusiera rpidamente en contacto con nosotros por telfono al $biblio_phone o por correo electrnico al $biblio_email para estudiar la posibilidad de renovar estos prstamos o de devolver los documentos.', 'Texto que aparece despus de la lista de obras en retraso en el mail de reclamacin.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2before_list', 'Salvo error por nuestra parte, usted an tiene el o los siguientes libros, la duracin de los prstamos ya ha finalizado :', 'Texto que aparece antes de la lista de documentos en retraso en el mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2fdp', 'El responsable.', 'Firma del mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2madame_monsieur', 'Estimado/a usuario/a,', 'Encabezamiento del mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '2objet', '$biblio_name : documentos en retraso', 'Asunto del mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3after_list', 'Le agradeceramos que se pusiera rpidamente en contacto con nosotros por telfono al $biblio_phone o por correo electrnico al $biblio_email para estudiar la posibilidad de renovar estos prstamos o de devolver los documentos.', 'Texto que aparece despus de la lista de obras en retraso en el mail de reclamacin.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3before_list', 'Salvo error por nuestra parte, usted an tiene el o los siguientes libros, la duracin de los prstamos ya ha finalizado :', 'Texto que aparece antes de la lista de documentos en retraso en el mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3fdp', 'El responsable.', 'Firma del mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3madame_monsieur', 'Estimado/a usuario/a,', 'Encabezamiento del mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3objet', '$biblio_name : documentos en retraso', 'Asunto del mail de reclamacin', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', '3before_recouvrement', 'De no obtener noticias suyas en los prximos 7 das, nos veremos en la obligacin de delegar a las autoridades el cobro de las obras siguiente :', 'Texto anterior a la lista de obras reclamadas', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', 'priorite_email', '1', 'Prioridad de las cartas de reclamacin :\n 0 : Carta solamente \n 1 : Mail, en su defecto carta \n 2 : Mail Y carta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'import_modele_lecteur', '', 'Modelo de importacin de los usuarios', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_retard', '0', 'Bloquear el prstamo con una duracin igual al retraso ? 0=no, 1=s', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_delai', '7', 'Das a partir de los cuales el retraso se tiene en cuenta', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_max', '60', 'Nmero mximo de das a bloquear (0 = sin lmite)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_coef', '1', 'Coeficiente de proporcin de los das de retraso para bloquear', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'blocage_retard_force', '1', '1 = El prstamo puede forzarse cuando un usuario est bloqueado, 2 = No se puede forzar', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'etagere_order', ' name ', 'Orden de las estanteras en la pantalla de inicio, \n name = por nombre\n name DESC = por nombre descendente', 'j_etagere', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'book_pics_show', '0', 'Ver las cubiertas de los libros en gestin\n 1: s  \n 0: no', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'book_pics_url', '', 'URL de las imgenes de los registros, en el camino introducido , !!isbn!! se reemplazar por el cdigo ISBN o EAN del registro eliminando todos los guiones o puntos. \r\n ejemplo : http://www.mipagina/opac/imagenes/cubiertas/!!isbn!!.jpg', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'opac_url', './opac_css/', 'URL del OPAC visto des de la parte de gestin, por defecto ./opac_css/', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_popup', '1', ' Formulario de conexin en forma de popup ? :\n 0 : No\n 1 : S', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_x', '100', 'Largo de la imagen creada para un documento electrnico', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_y', '100', 'Alto de la imagen creada para un documento electrnico', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'vignette_imagemagick', '', 'Camino del ejecutable ImageMagick (/usr/bin/imagemagick por ejemplo)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_rss_browser', '0', 'Ver las fuentes RSS del catlogo en la pgina de inicio 1: s o 0: no', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'mail_methode', 'php', 'Mtodo de envo de los mails : \n php : funcin mail() de php\n smtp,hote:port,auth,user,pass : en smtp, poner O o 1 para la autentificacin...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'mail_methode', 'php', 'Mtodo de envo de los mails en el opac : \n php : funcin mail() de php\n smtp,hote:port,auth,user,pass : en smtp, poner O o 1 para la autentificacin...', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'search_show_typdoc', '1', 'Mostrar opcin por tipo de documento para las bsquedas en la pgina de inicio', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'verif_on_line', '0', 'En el men Administracin > Herramientas > Act Base : verificacin de versiones ms recientes de PMB en lnea ? \r\n0 : no : si no ests conectado a internet\r\n 1 : S : si ests conectado a internet', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_languages', '1 es_ES,ca_ES,fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'Mostrar un men desplegable de seleccin de lengua ? \r\n 0 : No \r\n 1 : S \r\nNo uses un espacio entre los cdigos de lenguas, solamente una coma : fr_FR,it_IT,en_UK,nl_NL,oc_FR', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_font', 'Helvetica', 'Fuente tipogrfica para los campos variables en los pdf - Fuente Arial', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'pdf_fontfixed', 'Courier', 'Fuente tipogrfica para los campos fijos en los pdf - Fuente Courier', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'z3950', 'debug', '0', 'Vaciar (exportar archivo) de los registros encontrados en Z3950 \r\n 0: No \r\n 1: S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'nb_lastnotices', '10', 'Nmero de ltimos registros a mostrar en Catlogo - ltimos registros', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_dernieresnotices_nb', '10', 'Nmero de ltimos registros a mostrar en Catlogo - ltimos registros', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'recouvrement_auto', '0', 'Por defecto passage en recouvrement propos en gestion des relances si niveau=3 et devrait tre en 4: \r\n 1: Oui, recouvrement propos par dfaut \r\n 0: Ne rien faire par dfaut', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'keyword_sep', ' ', 'Separador de palabras clave en la zona de indexacin libre, espacio o ; o , o ...', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'mode_pmb', '0', 'Nivel de uso del tesauro.\n 0 : Un solo tesauro por defecto.\n 1 : Seleccin de tesauro posible.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'defaut', '1', 'Identificador del tesauro por defecto.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'thesaurus', 'liste_trad', 'es_ES', 'Lista de idiomas mostrados en los tesauros.\n(ex : es_ES,en_UK,...,ar)', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'thesaurus', '0', 'Nivel de uso de los tesauro.\n 0 : Un solo tesauro por defecto.\n 1 : Seleccin de tesuaro posible.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'active', '0', 'Mdulo de adquisiciones activado.\n 0 : No.\n 1 : S.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'gestion_tva', '0', 'Gestin del IVA.\n 0 : No.\n 1 : S.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'poids_sugg', 'B=1.00,U=0.70,V=0.00', 'Valoracin de las sugerencias por defecto en porcentaje.\n B=Personal centro, U=Usuarios, V=Visitantes.\n ex : U=1.00,E=0.70,V=0.00 \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'format', '8,CA,DD,BL,FA', 'Tamao del Nmero y Prefijos de las actas de compras.\nex : 8,CA,DD,BL,FA \n8 = Prefijo + 8 cifras\nCA=Pedido Compra, DD=Peticin de presupuesto,BL=Albarn de entrega, FA=Factura de compra \n', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'budget', '0', 'Uso de un presupuesto para los pedidos.\n 0:opcional\n 1:obligatorio', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_format_page', '210x297', 'Anchura x Altura de la pgina en mm', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_orient_page', 'P', 'Orientacin de la pgina: P=Retrato, L=Apaisado', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_marges_page', '10,20,10,10', 'Mrgenes de la pgina en mm : Superior,Inferior,Derecha,Izquierda', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_logo', '10,10,20,20', 'Posicin del logo: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la largada de la pgina,Ancho, Alto', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_raison', '35,10,100,10,16', 'Posicin Razn social: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la largada de la pgina,Largo,Alto,Tamao fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_date', '150,10,0,6,8', 'Posicin Fecha: Distancia con relacin al mrgen superior izquierdo de la pgina,Distancia con relacin al borde superior de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_adr_fac', '10,35,60,5,10', 'Posicin Direccin de facturacin: Distancia con relacin al mrgen superior izquierdo de la pgina,Distancia con relacin al mrgen superior de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_adr_liv', '10,75,60,5,10', 'Posicin Direccin de entrega: Distancia con relacin al mrgen superior izquierdo de la pgina,Distancia con relacin al mrger superior de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_adr_fou', '100,55,100,6,14', 'Posicin Direccin proveedor: Distancia con relacin al mrgen superior izquierdo de la pgina,Distancia con relacin al mrger superior de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_num', '10,110,0,10,16', 'Posicin nmero de pedido: Distancia con relacin al mrgen superior izquierdo de la pgina,Distancia con relacin al mrger superior de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_text_size', '10', 'Tamao de la fuente del texto', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_text_before', '', 'Texto anterior del pedido', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_text_after', '', 'Texto posterior al pedido ', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_tab_cde', '5,10', 'Lista de pedidos: Ancho lnea,Tamao fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_tot', '10,40,5,10', 'Posicin total del pedido: Distancia con relacin al mrgen izquierdo de la pgina, Anchura, Altura lnea,Tamao fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_footer', '15,8', 'Posicin bajo de la pgina: Distancia con relacin al borde inferior de la pgina, Tamao de la fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_pos_sign', '10,60,5,10', 'Posicin firma: Distancia con relacin al borde izquierdo de la pgina, Anchura, Altura lnea, Tamao fuente', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfcde_text_sign', 'El responsable de la biblioteca.', 'Texto firma', 'pdfcde', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_format_page', '210x297', 'Ancho x Alto de la pgina en mm', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_orient_page', 'P', 'Orientacin de la pgina: P=Vertical, L=Apaisado', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_marges_page', '10,20,10,10', 'Mrgenes de la pgina en mm : Arriba,Abajo,Derecha,Izquierda', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_logo', '10,10,20,20', 'Posicin del logo: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_raison', '35,10,100,10,16', 'Posicin Razn social: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_date', '150,10,0,6,8', 'Posicin Fecha: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_adr_fac', '10,35,60,5,10', 'Posicin Direccin de facturacin: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_adr_liv', '10,75,60,5,10', 'Posicin Direccin de entrega: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_adr_fou', '100,55,100,6,14', 'Posicin Direccin distribuidor: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_num', '10,110,0,10,16', 'Posicin nmero de pedido: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin al borde de arriba de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_text_size', '10', 'Tamao de la fuente del texto', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_text_before', '', 'Texto anterior a la lista de pedidos', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_comment', '0', 'Mostrar los comentarios: 0=no, 1=s', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_text_after', '', 'Texto despus de la lista de pedidos', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_tab_dev', '5,10', 'Lista de pedidos: Alto lnea,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_footer', '15,8', 'Posicin inferior de la pgina: Distancia con relacin al borde inferior de la pgina, Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_pos_sign', '10,60,5,10', 'Posicin firma: Distancia con relacin al borde izquierdo de la pgina, Ancho,Alto,Tamao de la fuente', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfdev_text_sign', 'El responsable de la biblioteca.', 'Texto firma', 'pdfdev', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'export_allow', '1', 'Exportacin de registros a partir del opac : \n 0 : prohibido \n 1 : para todos \n 2 : para los usuarios registrados nicamente', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_planning', '0', 'Usar un planning de reserva ? \n 0: No \n 1: S', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'resa_contact', '<a href=''mailto:pmb@sigb.net''>pmb@sigb.net</a>', 'Cdigo HTML de informacin sobre la persona a contactar por ejemplo en caso de problemas de reserva.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'default_operator', '0', 'Operador por defecto. 0 : OR, 1 : AND.', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'modules_search_all', '2', 'Bsqueda simple en el conjunto de campos :0 : no,  1 : autorizada,  2 : autorizada y validada por defecto', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_format_page', '210x297', 'Alto x Ancho de la pgina en mm', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_orient_page', 'P', 'Orientacin de la pgina: P=Retrato, L=Apaisado', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_marges_page', '10,20,10,10', 'Mrgenes de la pgina en mm : Alto, Bajo, Derecho, Izquierdo', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_raison', '10,10,100,10,16', 'Posicin Razn social: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la parte de arriba de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_adr_liv', '10,20,60,5,10', 'Position Adresse de livraison: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la parte de arriba de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_adr_fou', '110,20,100,5,10', 'Position lments fournisseur: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la parte de arriba de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_num', '10,60,0,6,14', 'Position numro Commande/Livraison: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la parte de arriba de la pgina,Ancho, Alto,Tamao de la fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_tab_liv', '5,10', 'Lista de entregas: Alto lnea,Tamao fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_footer', '15,8', 'Posicin inferior de la pgina: Distancia con relacin a la parte inferior de la pgina, Tamao fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'pmb', 'default_operator', '0', 'Operador por defecto. \n 0 : OR, \n 1 : AND.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'mailretard', 'priorite_email_3', '0', 'Hacer el tercer nivel de reclamacin por correo electrnico :\n 0 : No, carta \n 1 : S, por mail', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'show_suggest', '0', 'Proponer hacer sugerencias en el OPAC.\n 0 : No.\n 1 : S, con autenticacin.\n 2 : S, sin autenticacin.', 'f_modules', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'email_sugg', '0', 'Informacin por mail de la evolucin de las sugerencias.\n 0 : No\n 1 : S', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_text_size', '10', 'Tamao de la fuente del texto', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfliv_pos_date', '170,10,0,6,8', 'Posicin Fecha: Distancia con relacin al borde izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho, Alto, Tamao de la fuente', 'pdfliv', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_text_size', '10', 'Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_format_page', '210x297', 'Ancho x Alto de la pgina en mm', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_orient_page', 'P', 'Orientacin de la pgina: P=Retrato, L=Apaisado', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_marges_page', '10,20,10,10', 'Mrgenes de la pgina en mm : Alto, Bajo, Derecha, Izquierda', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_raison', '10,10,100,10,16', 'Posicin Razn social: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_date', '170,10,0,6,8', 'Posicin Fecha: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_adr_fac', '10,20,60,5,10', 'Posicin Direccin de facturacin: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_adr_fou', '110,20,100,5,10', 'Posicin elementos distribuidor: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_num', '10,60,0,6,14', 'Posicin nmero Pedido/Factura: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_tab_fac', '5,10', 'Lista de facturacin: Alto lnea,Tamao fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_tot', '10,40,5,10', 'Posicin total de pedido: Distancia con relacin al mrgen izquierdo de la pgina, Ancho,Alto,Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdffac_pos_footer', '15,8', 'Posicin abajo de la pgina: Distancia con relacin a la parte inferior de la pgina, Tamao de la fuente', 'pdffac', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_text_size', '8', 'Tamao de la fuente texto', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_format_page', '210x297', 'Ancho x Alto de la pgina en mm', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_orient_page', 'P', 'Orientacin de la pgina: P=Retrato, L=Apaisado', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_marges_page', '10,20,10,10', 'Mrgenes de la pgina en mm : Alto,Bajo,Derecha,Izquierda', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_pos_titre', '10,10,100,10,16', 'Posicin ttulo: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_pos_date', '170,10,0,6,8', 'Posicin fecha: Distancia con relacin al mrgen izquierdo de la pgina,Distancia con relacin a la altura de la pgina,Ancho,Alto,Tamao de la fuente', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_tab_sug', '5,10', 'Lista de sugerencias: Alto lnea,Tamao fuente', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'pdfsug_pos_footer', '15,8', 'Posicin inferior de la pgina ion bas de page: Distancia con relacin a la parte inferior de la pgina, Tamao de la fuente', 'pdfsug', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_rej_obj', 'Sugerencia de compra no aceptada', 'Asunto del correo de sugerencia no aceptada', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_rej_cor', 'Tu sugerencia de !!date!! no ha sido aceptada.\n\n', 'Corps du mail de rejet de suggestion', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_con_obj', 'Sugerencia aceptada', 'Asunto del correo electrnico de confirmacin sugerencia aceptada', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_con_cor', 'Tu sugerencia de !!date!! ha sido guardada para comprarla prximamente.\n\n', 'Cuerpo del mensaje de confirmacin de sugerencia aceptada', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_aba_obj', 'Sugerencia no posible', 'Asunto del correo electrnico de sugerencia no posible', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_aba_cor', 'Tu sugerencia de !!date!! no ha podido encontrarse o no est disponible a la venta.\n\n', 'Cuerpo del mensaje de sugerencia no psoible', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_cde_obj', 'Sugerencia pedida', 'Asunto del correo electrnico de sugerencia pedida', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_cde_cor', 'Tu sugerencia de !!date!! ha sido pedida.\n\n', 'Cuerpo del mensaje de sugerencia pedida', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_rec_obj', 'Sugerencia en la biblioteca', 'Cuerpo del mensaje de correo electrnico de sugerencia en la biblioteca', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'acquisition', 'mel_rec_cor', 'Tu sugerencia de !!date!! ha llegado a la biblioteca y pronto estar disponible.\n\n', 'Cuerpo del mensaje de correo de llegada de sugerencia', 'mel', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_tags_search', '0', 'Bsqueda por etiquetas (palabras clave usuarios) \n 1 = s \n 0 = no', 'c_recherche', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'allow_add_tag', '0', 'Permitir a los usuarios aadir una etiqueta a un registro.\n 0 : no\n 1 : s\n 2 : identificacin obligatoria para aadir', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'avis_allow', '0', 'Permitir consultar/aadir un comentario en los registros \n 0 : no \n 1 : sin estar identificado : consulta posible, sin aadir \n 2 : identificacin obligatoria para consultar y adir', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'avis_nb_max', '30', 'Nmero mximo de comentarios conservados por registro. Los ms viejos sn eliminados en favor de ms recientes cuando se llegue a ese nmero.', 'a_general', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'categories', 'categ_in_line', '0', 'Mostrar categoras en lnea.\n 0 : No.\n 1 : S.', '', 0);
INSERT INTO parametres (id_param, type_param, sstype_param, valeur_param, comment_param, section_param, gestion) VALUES (0, 'opac', 'categories_categ_in_line', '0', 'Mostrar categoras en lnea.\r\n 0 : No.\r\n 1 : S.', 'i_categories', 0);

-- 
-- Contenido de la tabla `users`
-- 

INSERT INTO users (userid, create_dt, last_updated_dt, username, pwd, nom, prenom, rights, user_lang, nb_per_page_search, nb_per_page_select, nb_per_page_gestion, param_popup_ticket, param_sounds, param_licence, deflt_notice_statut, deflt_docs_type, deflt_lenders, deflt_styles, deflt_docs_statut, deflt_docs_codestat, value_deflt_lang, value_deflt_fonction, deflt_docs_location, deflt_docs_section, value_deflt_module, user_email, user_alert_resamail, deflt2docs_location, deflt_thesaurus, value_prefix_cote, xmlta_doctype) VALUES (1, '2002-07-28', '2005-08-10', 'admin', password('admin'), 'Super User', '', 255, 'es_ES', 20, 10, 20, 0, 1, 0, 1, 1, 2, 'couleurs_onglets', 1, 12, 'fre', '070', 1, 10, 'admin', 'pmb@sigb.net', 1, 1, 1, '', 'a');
-- 
-- Contenido de la tabla `notice_statut`
-- 

INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (1, 'Sin estado', '', 1, 1, 1, 'statutnot1', 0, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (2, 'Prstamo rpido', '', 0, 1, 1, 'statutnot2', 1, 0, 1, 0);
INSERT INTO notice_statut (id_notice_statut, gestion_libelle, opac_libelle, notice_visible_opac, notice_visible_gestion, expl_visible_opac, class_html, notice_visible_opac_abon, expl_visible_opac_abon, explnum_visible_opac, explnum_visible_opac_abon) VALUES (3, 'Pedido', 'command', 1, 1, 1, 'statutnot4', 0, 0, 1, 0);


-- Lo mnimo estrictamente necesario para empezar sin tesauro y poder crear uno. Estas lneas se suprimen si se instala algn tesauro durante la instalacin.
-- 
-- Contenido de la tabla `thesaurus`
-- 
INSERT INTO thesaurus (id_thesaurus, libelle_thesaurus, langue_defaut, active, opac_active, num_noeud_racine) VALUES (1, 'Tesauro n1', 'es_ES', '1', '1', 1);
-- 
-- Contenido de la tabla `noeuds`
-- 
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (1, 'TOP', 0, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (2, 'NONCLASSES', 1, 0, '0', 1);
INSERT INTO noeuds (id_noeud, autorite, num_parent, num_renvoi_voir, visible, num_thesaurus) VALUES (3, 'ORPHELINS', 1, 0, '0', 1);
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (2, 'es_ES', '~descripotres no clasificados', '', '', '', ' descriptores no clasificados ');
INSERT INTO categories (num_noeud, langue, libelle_categorie, note_application, comment_public, comment_voir, index_categorie) VALUES (3, 'es_ES', '~descriptores hurfanos', '', '', '', ' descriptores hurfanos ');
